package org.act.wsc.bpel4wsmodeling.def.process;
import java.util.Iterator;
import org.act.metaset.Attribute;
import org.act.metaset.Metaset;
import org.act.wsc.bpel4wsmodeling.bpeldata.listener.IActivityChildListener;
//<p></p><p></p><p></p><p></p>
public class Reply
    extends Activity {
  Attribute partnerLink;
  Attribute portType;
  Attribute operation;
  Attribute variable;
  Attribute createInstance;
  Attribute faultName;
  public Reply() {
    super();
    this.setName("reply") ;
    this.partnerLink = new Attribute("partnerLink", "");
    this.portType = new Attribute("portType", "");
    this.operation = new Attribute("operation", "");
    this.variable = new Attribute("variable", "");
    this.faultName = new Attribute("faultName", "");
    this.add(partnerLink);
    this.add(portType);
    this.add(operation);
    this.add(variable);
    this.add(faultName);
  }
  public void setAtPartnerLinkValue(String s) {
    this.partnerLink.setValue(s);
  }
  public String getAtPartnerLinkValue() {
    return this.partnerLink.getValue();
  }
  public void setAtPortTypeValue(String s) {
    this.portType.setValue(s);
  }
  public String getAtPortTypeValue() {
    return this.portType.getValue();
  }
  public void setAtOperationValue(String s) {
    this.operation.setValue(s);
  }
  public String getAtOperationValue() {
    return this.operation.getValue();
  }
  public void setAtVariableValue(String s) {
    this.variable.setValue(s);
  }
  public String getAtVariableValue() {
    return this.variable.getValue();
  }
  public void setAtFaultNameValue(String s) {
    this.faultName.setValue(s);
  }
  public String getAtFaultNameValue() {
    return this.faultName.getValue();
  }
  public void addCorrelations(Correlations correlations) {
    if(this.filter(".\\correlations")==null) {
      this.add(correlations);
      correlations.setFather(this) ;
    }
  }
  public Metaset getCorrelations() {
    return this.filter(".\\correlations") ;
  }
  public void detelteCorrelations(  Correlations correlations) {
     this.remove(correlations ) ;
    }
    public void addCorrelation(Correlation correlation) {
      Correlations correlations;
      if (this.filter(".\\correlations") == null) {
        correlations = new Correlations();
        this.add(correlations);
        correlations.setFather(this);
      }
      else {
        correlations = (Correlations)this.getCorrelations().car();
      }
      if(correlations.addCorrelation(correlation)==true){
          fireCorrelationAdded(correlation);   
      }
    }
    
    private void fireCorrelationAdded(Correlation correlation) {
    	        for (Iterator iter = this.childListeners.iterator(); iter.hasNext(); ) {
        	IActivityChildListener element = (IActivityChildListener) iter.next();
            element.addCorrelation( correlation);
          }
    }
    public void deleteCorrelation(Correlation correlation) {
        fireCorrelationDeleted(correlation);
      	Correlations correlations = (Correlations)this.getCorrelations() .car() ;
      	correlations.deleteCorrelation(correlation);
        if (correlations.getChilds().size() == 0) {
        	this.detelteCorrelations( correlations);
        }
      }
      
    private void fireCorrelationDeleted(Correlation correlation) {
    	        for (Iterator iter = this.childListeners.iterator(); iter.hasNext(); ) {
        	IActivityChildListener element = (IActivityChildListener) iter.next();
            element.deleteCorrelation(correlation );
          }
    }
}
