
package org.act.wsc.bpel4wsmodeling.def.property;
import java.util.Iterator;
import org.act.metaset.Attribute;
import org.act.metaset.Metaset;
import org.act.wsc.bpel4wsmodeling.def.resource.AttributeText;
import org.act.wsc.bpel4wsmodeling.def.resource.LabelText;
import org.act.wsc.bpel4wsmodeling.def.resource.NamespaceText;

public class Property extends Metaset {
    
    
    Attribute name=new Attribute(AttributeText.PROPERTY_NAME,"");;
    
    Attribute type=new Attribute(AttributeText.PROPERTY_TYPE,"");;
    
    public Property() {
        super(LabelText.PROPERTY);
        this.add(name);
        this.add(type);
    }
    
    public Property(Metaset metaset) {
        super(LabelText.PROPERTY);
        for (Iterator iter = metaset.getAttributes().iterator(); iter.hasNext();) {
            Attribute attribute = (Attribute) iter.next();
            if(attribute.getName().equals(AttributeText.PROPERTY_NAME)){
                this.name=attribute;
            }
            else if(attribute.getName().equals(AttributeText.PROPERTY_TYPE)){
                this.type=attribute;
            }
        }
        this.add(name);
        this.add(type);
    }
    
    public String getAtNameValue() {
        return this.name.getValue();
    }
    
    public void setAtNameValue(String name) {
        this.name.setValue(name);
    }
    
    public String getAtTypeValue() {
        return this.type.getValue();
    }
    
    public void setAtTypeValue(String type) {
        this.type.setValue(type);
    }
}
