package org.act.wsc.bpel4wsmodeling.projectdata;
import java.util.ResourceBundle;
import org.act.wsc.bpel4wsmodeling.view.resource.ResChoose;

public class ModelNode {
  public final static int NODE_TYPE_PROJECT = 0;     public final static int NODE_TYPE_PROCESS = 01;     public final static int NODE_TYPE_WSDLDOCUMENT=02;  public final static int NODE_TYPE_BPELDOCUMENT=03;  public final static int NODE_TYPE_WSDLDEFINE=04;  
  private ResourceBundle res = ResChoose.getLanguage();
  
  Object userObject;
  
  String nodeName;
  
  int nodeType;
  
  public ModelNode(int nodeType) {
    this.nodeType = nodeType;
            setNodeName(nodeType);
  }
  private void setNodeName(int nodeType) {
    switch(nodeType) {
      case ModelNode.NODE_TYPE_PROJECT:
                        this.nodeName = res.getString("MN_Project");
        break;
      case ModelNode.NODE_TYPE_PROCESS:
        this.nodeName =res.getString("MN_BPElModeling");
        break;
      case ModelNode.NODE_TYPE_WSDLDEFINE:
          this.nodeName=res.getString("MN_User-DefinedWSDL");
      	  break;
            default:
        this.nodeName =res.getString("MN_UnknownNodeType");
    }
  }
  private void resetNodeName() {
    this.setNodeName(this.nodeType);
  }
  public String toString() {
    this.resetNodeName();
    return this.nodeName ;
  }

  public int getNodeType() {
    return this.nodeType;
  }
  
  public void setNodeName(String name ) {
    this.nodeName =name;
  }
}
