
package org.act.wsc.bpel4wsmodeling.projectdata.wsdl12define;

public class ComplexTypeEx extends WSDLLabel implements IDerivedLabel, TypeEx {
    public static int timer=0;
    
    String name=null;
    Combiner combiner=null;
    public static final String ATT_NAME = "name";
    
    
    public ComplexTypeEx() {
        super();
            }
    
    public boolean addChild(WSDLLabel childLabel) {
                return false;
    }
    
    public boolean removeChild(WSDLLabel childLabel) {
        if (childLabel instanceof Combiner) {
            this.removeCombiner((Combiner) childLabel);
        }
        return false;
    }
    
    public String getName() {
        if(name==null){
            this.name=this.getLabelName();
        }
        return this.name;
    }
    
    
    public void setName(String name) {
        String oldName=this.getName();
        if(oldName==null||!name.equals(oldName)){
            this.name = name;
            this.firePropertyChanged(this);
        }
    }
    
    public void reName(String newName){
        if(newName==null){
            return;
        }
        String oldName=this.getName();
        this.setName(newName);
        if(!newName.equals(oldName)){
            this.fireChildRenamed(this);
        }
    }
    
    public Combiner getCombiner() {
        return combiner;
    }
    
    
    public void addCombiner(Combiner combiner) {
        if(this.combiner==null){
            this.combiner = combiner;
            this.fireChildAdded(this.combiner);
        }
    }
    
    public void addCombiner(String kind){
        if(this.combiner==null){
            this.combiner = this.getDefinitionEx().createCombiner(kind);
            this.fireChildAdded(this.combiner);
        }
    }
    public void removeCombiner(Combiner combiner){
        if(combiner.equals(this.combiner)){
            this.combiner=null;
            this.fireChildRemoved(combiner);
        }
    }
    
}
