
package org.act.wsc.bpel4wsmodeling.projectdata.wsdl12define;
import java.util.List;
import java.util.Map;
import java.util.Vector;
import javax.wsdl.Binding;
import javax.wsdl.Port;
import javax.wsdl.extensions.ExtensibilityElement;
import javax.xml.namespace.QName;
import org.w3c.dom.Element;

public class PortEx extends WSDLLabel implements IDerivedLabel ,Port{
    public static int timer=0;
    private String name=null; 
    private BindingEx bindingEx=null;
    private List extensibilityElements=new Vector();
    public static final String ATT_NAME = "name";
    public static final String ATT_BINDING = "binding";
    
   
 
    
    public PortEx() {
        super();
            }
    
    public boolean addChild(WSDLLabel childLabel) {
        return false;
    }
    
    public boolean removeChild(WSDLLabel childLabel) {
        if(childLabel instanceof ExtensibilityElementEx){
            this.removeExtensibilityElement((ExtensibilityElement) childLabel);
            return true;
        }
        return false;
    }
  
    
    public void addExtensibilityElement(ExtensibilityElement extensibilityElement) {
        this.extensibilityElements.add(extensibilityElement);
        if (extensibilityElement instanceof ExtensibilityElementEx) {
            ExtensibilityElementEx new_name = (ExtensibilityElementEx) extensibilityElement;
            this.fireChildAdded(new_name);
        }
    }
    public void removeExtensibilityElement(ExtensibilityElement extensibilityElement) {
        this.extensibilityElements.remove(extensibilityElement);
        if (extensibilityElement instanceof ExtensibilityElementEx) {
            ExtensibilityElementEx new_name = (ExtensibilityElementEx) extensibilityElement;
            this.fireChildRemoved(new_name);
        }
    }
    
    public Binding getBinding() {
        
        return this.bindingEx;
    }
    
    public Element getDocumentationElement() {
                return null;
    }
    
    public List getExtensibilityElements() {
        
        return this.extensibilityElements;
    }
    
    public void setBinding(Binding binding) {
        if (binding instanceof BindingEx) {
            this.bindingEx= (BindingEx) binding;
        }
    }
    
    public void setDocumentationElement(Element arg0) {
                
    }
    
    public String getName() {
        if(this.name==null){
            this.name=this.getLabelName();
        }
        return this.name;
    }
    
    public void setName(String name) {
        this.name=name;
    }
    public void reName(String newName){
        if(newName==null){
            return;
        }
        String oldName=this.getName();
        this.setName(newName);
        if(!newName.equals(oldName)){
            this.fireChildRenamed(this);
        }
    }
    
    public Object getExtensionAttribute(QName arg0) {
                return null;
    }
    
    public Map getExtensionAttributes() {
                return null;
    }
    
    public List getNativeAttributeNames() {
                return null;
    }
    
    public void setExtensionAttribute(QName arg0, Object arg1) {
                
    }
}
