
package org.act.wsc.bpel4wsmodeling.projectdata.wsdl12define.view.popmenu;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.util.ResourceBundle;
import javax.swing.JMenuItem;
import javax.swing.JPopupMenu;
import org.act.wsc.bpel4wsmodeling.projectdata.wsdl12define.IDerivedLabel;
import org.act.wsc.bpel4wsmodeling.projectdata.wsdl12define.WSDLLabel;
import org.act.wsc.bpel4wsmodeling.projectdata.wsdl12define.view.MyTreeNode;
import org.act.wsc.bpel4wsmodeling.view.resource.ResChoose;

public abstract class AbstractTreeRightMenu extends JPopupMenu {
    MyTreeNode myTreeNode;
    private ResourceBundle res = ResChoose.getLanguage();
    
    JMenuItem renameItem=new JMenuItem(res.getString("ATRM_Rename"));
    JMenuItem removeItem=new JMenuItem(res.getString("ATRM_Delete"));
    
    
    public AbstractTreeRightMenu(MyTreeNode myTreeNode) {
        super();
        this.myTreeNode = myTreeNode;
        
 
        
        this.removeItem.addActionListener(new ActionListener(){
            public void actionPerformed(ActionEvent e) {
                MyTreeNode node=(MyTreeNode) AbstractTreeRightMenu.this.myTreeNode.getParent();
                WSDLLabel label;
                if((label=node.getWsdlLabel())!=null){
                    if(label instanceof IDerivedLabel){
                        ((IDerivedLabel)label).removeChild(AbstractTreeRightMenu.this.myTreeNode.getWsdlLabel());
                    }          
                }else if((label=((MyTreeNode)node.getParent()).getWsdlLabel())!=null){
                    if(label instanceof IDerivedLabel){
                        ((IDerivedLabel)label).removeChild(AbstractTreeRightMenu.this.myTreeNode.getWsdlLabel());
                    }
                }
            }
            });
    }
}
