
package org.act.wsc.bpel4wsmodeling.projectdata.wsdl12define.view.popmenu;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.util.ResourceBundle;
import javax.swing.JMenuItem;
import org.act.wsc.bpel4wsmodeling.projectdata.wsdl12define.ElementEx;
import org.act.wsc.bpel4wsmodeling.projectdata.wsdl12define.view.MyTreeNode;
import org.act.wsc.bpel4wsmodeling.projectdata.wsdl12define.view.propertyeditor.PropertyEditorFactory;
import org.act.wsc.bpel4wsmodeling.view.resource.ResChoose;

public class ElementRightMenu extends AbstractTreeRightMenu {
	
	  private ResourceBundle res = ResChoose.getLanguage();
    JMenuItem setName = new JMenuItem(res.getString("ELRM_SetName"));
    JMenuItem addSetType = new JMenuItem(res.getString("ELRM_SetType"));
        
    public ElementRightMenu(MyTreeNode myTreeNode) {
        super(myTreeNode);
        if (myTreeNode.getWsdlLabel() instanceof ElementEx) {
            final ElementEx elementEx = (ElementEx) ElementRightMenu.this.myTreeNode
                    .getWsdlLabel();
            this.setName.addActionListener(new ActionListener(){
                public void actionPerformed(ActionEvent e) {
                    String initialV=elementEx.getName();
                    String result=PropertyEditorFactory.showEditor(ElementEx.ATT_NAME+": ",res.getString("ELRM_Set")+ElementEx.ATT_NAME,initialV);
                    if(result!=null){
                        elementEx.setName(result);
                    }
                    
                }});
            this.add(this.setName);
            
            if(elementEx.getTypeExInner()==null){
                this.add(this.addSetType);
            }
            this.addSetType.addActionListener(new ActionListener() {
                public void actionPerformed(ActionEvent e) {
                    PropertyEditorFactory.showElementPropertyEditor(elementEx);
                }
            });
        }
        
                this.add(this.removeItem);
    }
}
