
package org.act.wsc.bpel4wsmodeling.projectdata.wsdl12define.view.popmenu;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.util.ResourceBundle;
import javax.swing.JMenuItem;
import org.act.wsc.bpel4wsmodeling.projectdata.wsdl12define.HTTPAddress;
import org.act.wsc.bpel4wsmodeling.projectdata.wsdl12define.view.MyTreeNode;
import org.act.wsc.bpel4wsmodeling.projectdata.wsdl12define.view.propertyeditor.PropertyEditorFactory;
import org.act.wsc.bpel4wsmodeling.view.resource.ResChoose;

public class HTTPAddressRightMenu extends AbstractTreeRightMenu {
	
	  private ResourceBundle res = ResChoose.getLanguage();
   JMenuItem setLocation=new JMenuItem(res.getString("HTTPADRM_SetLocation"));
  
    
    public HTTPAddressRightMenu(MyTreeNode myTreeNode) {
        super(myTreeNode);
        if (myTreeNode.getWsdlLabel() instanceof HTTPAddress) {
            final HTTPAddress address = (HTTPAddress) myTreeNode.getWsdlLabel();
            this.setLocation.addActionListener(new ActionListener(){
                public void actionPerformed(ActionEvent e) {
                    String initialV=address.getLocation();
                    String result=PropertyEditorFactory.showEditor(HTTPAddress.ATT_LOC+": ",res.getString("HTTPADRM_Set")+HTTPAddress.ATT_LOC,initialV);
                    if(result!=null){
                        address.setLocation(result);
                    }
                   
                }});
            this.add(setLocation);
        }
        
        this.add(this.removeItem);
    }
}
