
package org.act.wsc.bpel4wsmodeling.projectdata.wsdl12define.view.popmenu;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.util.ResourceBundle;
import javax.swing.JMenuItem;
import org.act.wsc.bpel4wsmodeling.projectdata.wsdl12define.DefinitionEx;
import org.act.wsc.bpel4wsmodeling.projectdata.wsdl12define.ImportEx;
import org.act.wsc.bpel4wsmodeling.projectdata.wsdl12define.WSDLLabel;
import org.act.wsc.bpel4wsmodeling.projectdata.wsdl12define.view.MyTreeNode;
import org.act.wsc.bpel4wsmodeling.view.resource.ResChoose;

public class ImportsRightMenu extends AbstractTreeRightMenu{
	
	private ResourceBundle res = ResChoose.getLanguage();
    JMenuItem addItem=new JMenuItem(res.getString("IMPSRM_AImport"));
    
    
    public ImportsRightMenu(MyTreeNode myTreeNode) {
        super(myTreeNode);
        this.add(this.addItem);
        this.addItem.addActionListener(new ActionListener(){
            public void actionPerformed(ActionEvent e) {
                WSDLLabel label=((MyTreeNode) ImportsRightMenu.this.myTreeNode.getParent()).getWsdlLabel();
                if(label instanceof DefinitionEx){
                    DefinitionEx definitionEx=(DefinitionEx)label;                 
                    ImportEx importEx= (ImportEx) definitionEx.createImport();
                    definitionEx.addImport(importEx);
                } 
            }            
        });
        
    }
}
