
package org.act.wsc.bpel4wsmodeling.projectdata.wsdl12define.view.popmenu;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.util.Iterator;
import java.util.List;
import java.util.ResourceBundle;
import java.util.Vector;
import javax.swing.JMenuItem;
import org.act.wsc.bpel4wsmodeling.projectdata.wsdl12define.InputEx;
import org.act.wsc.bpel4wsmodeling.projectdata.wsdl12define.MessageEx;
import org.act.wsc.bpel4wsmodeling.projectdata.wsdl12define.view.MyTreeNode;
import org.act.wsc.bpel4wsmodeling.projectdata.wsdl12define.view.propertyeditor.PropertyEditorFactory;
import org.act.wsc.bpel4wsmodeling.view.resource.ResChoose;

public class InputRightMenu extends AbstractTreeRightMenu {
	
	private ResourceBundle res = ResChoose.getLanguage();
    JMenuItem setName=new JMenuItem(res.getString("INRM_SetName"));
   JMenuItem setMessage=new JMenuItem(res.getString("INRM_SetMessage"));
  
    
    public InputRightMenu(MyTreeNode myTreeNode) {
        super(myTreeNode);
        if (InputRightMenu.this.myTreeNode.getWsdlLabel() instanceof InputEx) {
        	final InputEx inputEx = (InputEx) InputRightMenu.this.myTreeNode.getWsdlLabel();
            this.setName.addActionListener(new ActionListener(){
                public void actionPerformed(ActionEvent e) {
                    String initialV=inputEx.getName();
                    String result=PropertyEditorFactory.showEditor(InputEx.ATT_NAME+": ",res.getString("INRM_Set")+InputEx.ATT_NAME,initialV);
                    if (result!=null) {
                        inputEx.setName(result);    
                    }
                    
                }});
            this.add(setName);
            
        	this.setMessage.addActionListener(new ActionListener(){
                public void actionPerformed(ActionEvent e) {
                    List options = new Vector();
                    for (Iterator iter = inputEx.getDefinitionEx().getMessages().values().iterator(); iter.hasNext();) {
                        MessageEx element = (MessageEx) iter.next();
                        options.add(inputEx.getDefinitionEx().QNameToString(element.getQName()));
                    }
                    String initialV=null;
                    if(inputEx.getMessage()!=null){
                        initialV=inputEx.getDefinitionEx().QNameToString(inputEx.getMessage().getQName());
                    }
                    String message = PropertyEditorFactory.showEditor( InputEx.ATT_MESSAGE + ": ", res.getString("INRM_Set")
                            + InputEx.ATT_MESSAGE, initialV, options);
                    if (message!=null) {
                        inputEx.setMessage(inputEx.getDefinitionEx().getMessage(inputEx.getDefinitionEx().StringToQName(message)));    
                    }
                    
                }});
            this.add(setMessage);
            
                }
        
        this.add(this.removeItem);
    }
}
