
package org.act.wsc.bpel4wsmodeling.projectdata.wsdl12define.view.popmenu;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.util.ResourceBundle;
import javax.swing.JMenuItem;
import org.act.wsc.bpel4wsmodeling.projectdata.wsdl12define.SOAPAddress;
import org.act.wsc.bpel4wsmodeling.projectdata.wsdl12define.view.MyTreeNode;
import org.act.wsc.bpel4wsmodeling.projectdata.wsdl12define.view.propertyeditor.PropertyEditorFactory;
import org.act.wsc.bpel4wsmodeling.view.resource.ResChoose;

public class SOAPAddressRightMenu extends AbstractTreeRightMenu {
	private ResourceBundle res = ResChoose.getLanguage();
   JMenuItem setLocation=new JMenuItem(res.getString("SOAPARM_Location"));
  
    
    public SOAPAddressRightMenu(MyTreeNode myTreeNode) {
        super(myTreeNode);
        if (myTreeNode.getWsdlLabel() instanceof SOAPAddress) {
            final SOAPAddress address = (SOAPAddress) myTreeNode.getWsdlLabel();
            this.setLocation.addActionListener(new ActionListener(){
                public void actionPerformed(ActionEvent e) {
                    String initialV=address.getLocation();
                    String result=PropertyEditorFactory.showEditor(SOAPAddress.ATT_LOC+": ",res.getString("SOAPARM_Set")+SOAPAddress.ATT_LOC,initialV);
                    if (result!=null) {
                        address.setLocation(result);
                    }
                }});
            this.add(setLocation);
        }
        this.add(this.removeItem);
    }
}
