
package org.act.wsc.bpel4wsmodeling.projectdata.wsdl12define.view.propertyeditor;
import java.awt.Rectangle;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import javax.swing.JButton;
import javax.swing.JLabel;
import javax.swing.JTextField;
import javax.swing.SwingConstants;
import org.act.wsc.bpel4wsmodeling.view.resource.ResChoose;
import java.awt.*;
import java.util.ResourceBundle;

public class CPropertyEditor extends APropertyEditor {
	 ResourceBundle res = ResChoose.getLanguage();
    JLabel jLabel = new JLabel();
    JTextField jTextField = new JTextField();
    JButton jButtonOk = new JButton();
    JButton jButtonCancel = new JButton();
    
    public CPropertyEditor(String title,String propertyName,String initialValue)  {
        super(title,propertyName,initialValue);
        try {
            jbInit();
        } catch (Exception ex) {
            ex.printStackTrace();
        }
    }
    private void jbInit() throws Exception {
        this.getContentPane().setLayout(null);
        jLabel.setFont(new java.awt.Font("Dialog", Font.PLAIN, 11));
        jLabel.setHorizontalAlignment(SwingConstants.LEFT);
        jLabel.setText(this.propertyName);
        jLabel.setBounds(new Rectangle(34, 21, 140, 22));
        if(this.initialValue!=null){
            jTextField.setText(this.initialValue);
        }else{
            jTextField.setText("");
        }
        jTextField.setBounds(new Rectangle(34, 43, 139, 23));
        jButtonOk.setBounds(new Rectangle(33, 81, 58, 25));
        jButtonOk.setText(res.getString("yes"));
        jButtonOk.addActionListener(new CPropertyEditor_jButtonOk_actionAdapter(this));
        jButtonCancel.setBounds(new Rectangle(118, 81, 59, 24));
        jButtonCancel.setText(res.getString("no"));
        jButtonCancel.addActionListener(new
                CPropertyEditor_jButtonCancel_actionAdapter(this));
        this.getContentPane().add(jTextField);
        this.getContentPane().add(jButtonCancel);
        this.getContentPane().add(jButtonOk);
        this.getContentPane().add(jLabel);
    }
    public void jButtonOk_actionPerformed(ActionEvent e) {
        this.inputValue=this.jTextField.getText();
        this.dispose();
    }
    public void jButtonCancel_actionPerformed(ActionEvent e) {
        this.initialValue=null;
        this.dispose();
    }
}
class CPropertyEditor_jButtonCancel_actionAdapter implements ActionListener {
    private CPropertyEditor adaptee;
    CPropertyEditor_jButtonCancel_actionAdapter(CPropertyEditor adaptee) {
        this.adaptee = adaptee;
    }
    public void actionPerformed(ActionEvent e) {
        adaptee.jButtonCancel_actionPerformed(e);
    }
}
class CPropertyEditor_jButtonOk_actionAdapter implements ActionListener {
    private CPropertyEditor adaptee;
    CPropertyEditor_jButtonOk_actionAdapter(CPropertyEditor adaptee) {
        this.adaptee = adaptee;
    }
    public void actionPerformed(ActionEvent e) {
        adaptee.jButtonOk_actionPerformed(e);
    }
}
