package org.act.wsc.bpel4wsmodeling.view.action;
import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;
import org.act.wsc.bpel4wsmodeling.projectdata.Project;
import java.awt.Dimension;
import java.awt.Toolkit;
import org.act.wsc.bpel4wsmodeling.view.gui.MainFrame;
import org.act.wsc.bpel4wsmodeling.view.processassist.RoleDialog;
//<p></p><p></p><p></p><p></p>
public class AddRoleAction
    implements ActionListener {
  Project project;
  MainFrame mainframe = MainFrame.getmainFrame();
  public AddRoleAction(Project proj) {
    this.project = proj;
  }
  
  public void actionPerformed(ActionEvent e) {
    RoleDialog roleDialog = new RoleDialog(mainframe, this.project);
    roleDialog.setDialog();
    
    roleDialog.pack();
    roleDialog.setSize(445,230);
    Dimension screenSize = Toolkit.getDefaultToolkit().getScreenSize();
    Dimension dlgSize = roleDialog.getSize();
    if (dlgSize.height > screenSize.height) {
      dlgSize.height = screenSize.height;
    }
    if (dlgSize.width > screenSize.width) {
      dlgSize.width = screenSize.width;
    }
    roleDialog.setLocation( (screenSize.width - dlgSize.width) / 2,
                           (screenSize.height - dlgSize.height) / 2);
    roleDialog.show();
  }
}
