
package org.act.wsc.bpel4wsmodeling.view.action;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.util.ResourceBundle;
import javax.swing.JOptionPane;
import org.act.wsc.bpel4wsmodeling.projectdata.Project;
import org.act.wsc.bpel4wsmodeling.projectdata.WorkSpace;
import org.act.wsc.bpel4wsmodeling.utils.Print;
import org.act.wsc.bpel4wsmodeling.view.gui.MainFrame;
import org.act.wsc.bpel4wsmodeling.view.resource.ResChoose;

public class CloseProjectAction implements ActionListener {
	 ResourceBundle res = ResChoose.getLanguage();
	
	public CloseProjectAction() {
		super();
			}
	
	public void actionPerformed(ActionEvent e) {
				Project project=WorkSpace.getInstance().getActiveProject();
		if(project!=null){
		    int reply=JOptionPane.showConfirmDialog(MainFrame.getmainFrame(),res.getString("saveTheprojectnow"),res.getString("saveprojectMes"),JOptionPane.YES_NO_CANCEL_OPTION,JOptionPane.QUESTION_MESSAGE);
		    if(reply==JOptionPane.YES_OPTION){
		        WorkSpace.getInstance().saveProject(project);
		        WorkSpace.getInstance().closeProject(project);
		        Print.showMessage(res.getString("project")+project.getProjectName()+res.getString("closed"));
		        Project nextProject=WorkSpace.getInstance().getNextProject(project);
		        if(nextProject!=null){
		            WorkSpace.getInstance().openProject(nextProject);
		            Print.showMessage(res.getString("project")+nextProject.getProjectName()+res.getString("opened"));
		        }
		    }else if(reply==JOptionPane.NO_OPTION){
		        WorkSpace.getInstance().closeProject(project);
		        Print.showMessage(res.getString("project")+project.getProjectName()+res.getString("closed"));
		        Project nextProject=WorkSpace.getInstance().getNextProject(project);
		        if(nextProject!=null){
		            WorkSpace.getInstance().openProject(nextProject);
		            Print.showMessage(res.getString("project")+nextProject.getProjectName()+res.getString("opened"));
		        }
		    }
		}
	}
	public boolean closeProject(){
	    Project project=WorkSpace.getInstance().getActiveProject();
		if(project!=null){
		    int reply=JOptionPane.showConfirmDialog(MainFrame.getmainFrame(),res.getString("saveTheprojectnow"),res.getString("saveprojectMes"),JOptionPane.YES_NO_CANCEL_OPTION,JOptionPane.QUESTION_MESSAGE);
		    if(reply==JOptionPane.CANCEL_OPTION){
		        return false;
		    }
		    else if(reply==JOptionPane.YES_OPTION){
		        WorkSpace.getInstance().saveProject(project);
		        WorkSpace.getInstance().closeProject(project);
		        Print.showMessage(res.getString("project")+project.getProjectName()+res.getString("closed"));
		    }else if(reply==JOptionPane.NO_OPTION){
		        WorkSpace.getInstance().closeProject(project);
		        Print.showMessage(res.getString("project")+project.getProjectName()+res.getString("closed"));
		    }
		}
		return true;
	}
}
