
package org.act.wsc.bpel4wsmodeling.view.action;
import java.awt.Dimension;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.io.File;
import java.util.ResourceBundle;
import org.act.wsc.bpel4wsmodeling.projectdata.GetActiveProjectDir;
import org.act.wsc.bpel4wsmodeling.projectdata.Project;
import org.act.wsc.bpel4wsmodeling.projectdata.WorkSpace;
import org.act.wsc.bpel4wsmodeling.utils.Print;
import org.act.wsc.bpel4wsmodeling.view.gui.MainFrame;
import org.act.wsc.bpel4wsmodeling.view.gui.NewProjectDialog;
import org.act.wsc.bpel4wsmodeling.view.resource.ResChoose;

public class CreateProjectAction
    implements ActionListener {
	ResourceBundle res = ResChoose.getLanguage();
  
    MainFrame f = null;
  public CreateProjectAction(MainFrame frame) {
    super();
    this.f = frame;
      }
  
  public void actionPerformed(ActionEvent e) {
    
     if(!new CloseProjectAction().closeProject()){
                  return;
     }
            NewProjectDialog newPd = new NewProjectDialog(this.f, res.getString("creatProjectNewProject"));
    newPd.setSize(new Dimension(440, 300));
    newPd.setLocation( (this.f.getWidth() - newPd.getWidth()) / 2,
                      (this.f.getHeight() - newPd.getHeight()) / 2);
    newPd.show();
    if(!newPd.bCanceled){
        String prodir = newPd.getProjectRootPath();
        String projectName=newPd.getProjectName() ;
            String path=prodir+File.separator+projectName;
            new File(path).mkdir();
                    try {
            new File(path + File.separator  + "db").mkdir();
            new File(path + File.separator  + "imports").mkdir();
            new File(path + File.separator + "output").mkdir();
            new File(path + File.separator + "output"+ File.separator + "bpel").mkdir();
            new File(path + File.separator + "temp").mkdir();
                        GetActiveProjectDir.setdir(path);           }
          catch (SecurityException e1) {
                          Print.showMessage(res.getString("errorInCreateProject"),Print.MESSAGE_TYPE_ERROR   );
          }
          Project project = WorkSpace.getInstance().createProject(newPd.
              getProjectName(), newPd.getProjectDescription(),
              path);
                    Print.showMessage(res.getString("project")+newPd.getProjectName()+res.getString("projectCreated"));
    }
  }
}
