
package org.act.wsc.bpel4wsmodeling.view.action;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.util.ResourceBundle;
import org.act.wsc.bpel4wsmodeling.projectdata.Project;
import org.act.wsc.bpel4wsmodeling.projectdata.WorkSpace;
import org.act.wsc.bpel4wsmodeling.utils.Print;
import org.act.wsc.bpel4wsmodeling.view.resource.ResChoose;

public class SaveProjectAction implements ActionListener {
	ResourceBundle res = ResChoose.getLanguage();
	
	public SaveProjectAction() {
		super();
			}
	
	public void actionPerformed(ActionEvent e) {
		
	    Project project=WorkSpace.getInstance().getActiveProject();
		if(project!=null){
		    WorkSpace.getInstance().saveProject(project);
		    Print.showMessage(res.getString("project")+project.getProjectName()+res.getString("saved"));
		}else{
		    Print.showMessage(res.getString("noneOpenedProjectNow"),Print.MESSAGE_TYPE_WARNING);    
		}
	}
}
