package org.act.wsc.bpel4wsmodeling.view.graphic.leftbuttonproperty;
import org.act.wsc.bpel4wsmodeling.projectdata.process.Figure;
import org.act.wsc.bpel4wsmodeling.projectdata.wsdl12define.view.propertyeditor.WSDLPropertyTable;
import javax.swing.JScrollPane;
import org.act.wsc.bpel4wsmodeling.view.gui.MainFrame;
import java.util.List;
import java.util.Vector;
//<p></p><p></p><p></p><p></p>
public class AddPropertyByType {
    public AddPropertyByType() {
    }
    public static void addPropertyToFrameByType(Figure f,
            AbstractLeftProperty property) {
        List jpanes = new Vector();
        JScrollPane jAttPane = null;
        JScrollPane jCopyPane = null;
        JScrollPane jCorrelationPane = null;
        JScrollPane jVariablePane = null;
        JScrollPane jCorrelationSetPane = null;
        switch (f.getType()) {
        case (Figure.LABLE_RECEIVE):
            jAttPane = new JScrollPane(((ReceiveProperty) property)
                    .getAttTable());
            jCorrelationPane = new JScrollPane(((ReceiveProperty) property)
                    .getCorrelationTable());
            jpanes.clear();
            jpanes.add(jAttPane);
            jpanes.add(jCorrelationPane);
            MainFrame.getmainFrame().setProperty(jpanes);             break;
        case (Figure.LABLE_INVOKE):
            jAttPane = new JScrollPane(((InvokeProperty) property)
                    .getAttTable());
            jCorrelationPane = new JScrollPane(((InvokeProperty) property)
                    .getCorrelationTable());
            jpanes.clear();
            jpanes.add(jAttPane);
            jpanes.add(jCorrelationPane);
            MainFrame.getmainFrame().setProperty(jpanes);
            break;
        case (Figure.LABLE_REPLY):
            jAttPane = new JScrollPane(((ReplyProperty) property).getAttTable());
            jCorrelationPane = new JScrollPane(((ReplyProperty) property)
                    .getCorrelationTable());
            jpanes.clear();
            jpanes.add(jAttPane);
            jpanes.add(jCorrelationPane);
            MainFrame.getmainFrame().setProperty(jpanes);
            break;
        case (Figure.LABLE_THROW):
            jAttPane = new JScrollPane(((ThrowProperty) property).getAttTable());
            jpanes.clear();
            jpanes.add(jAttPane);
            MainFrame.getmainFrame().setProperty(jpanes);
            break;
        case (Figure.LABLE_COMPENSATE):
            jAttPane = new JScrollPane(((CompensateProperty) property)
                    .getAttTable());
            jpanes.clear();
            jpanes.add(jAttPane);
            MainFrame.getmainFrame().setProperty(jpanes);
            break;
        case (Figure.LABLE_WAIT):
            jAttPane = new JScrollPane(((WaitProperty) property).getAttTable());
            jpanes.clear();
            jpanes.add(jAttPane);
            MainFrame.getmainFrame().setProperty(jpanes);
            break;
        case (Figure.LABLE_EMPTY):
            jAttPane = new JScrollPane(((EmptyProperty) property).getAttTable());
            jpanes.clear();
            jpanes.add(jAttPane);
            MainFrame.getmainFrame().setProperty(jpanes);
            break;
        case (Figure.LABLE_TERMINATE):
            jAttPane = new JScrollPane(((TerminateProperty) property)
                    .getAttTable());
            jpanes.clear();
            jpanes.add(jAttPane);
            MainFrame.getmainFrame().setProperty(jpanes);
            break;
        case (Figure.LABLE_CASE):
            jAttPane = new JScrollPane(((CaseProperty) property).getAttTable());
            jpanes.clear();
            jpanes.add(jAttPane);
            MainFrame.getmainFrame().setProperty(jpanes);
            break;
        case (Figure.LABLE_FLOW):
            jAttPane = new JScrollPane(((FlowProperty) property).getAttTable());
            jpanes.clear();
            jpanes.add(jAttPane);
            MainFrame.getmainFrame().setProperty(jpanes);
            break;
        case (Figure.LABLE_ONALARM):
            jAttPane = new JScrollPane(((OnAlarmProperty) property)
                    .getAttTable());
            jpanes.clear();
            jpanes.add(jAttPane);
            MainFrame.getmainFrame().setProperty(jpanes);
            break;
        case (Figure.LABLE_PICK):
            jAttPane = new JScrollPane(((PickProperty) property).getAttTable());
            jpanes.clear();
            jpanes.add(jAttPane);
            MainFrame.getmainFrame().setProperty(jpanes);
            break;
        case (Figure.LABLE_SCOPE):
            jAttPane = new JScrollPane(((ScopeProperty) property).getAttTable());
            jVariablePane = new JScrollPane(((ScopeProperty) property)
                    .getVariablesTable());
            jCorrelationSetPane = new JScrollPane(((ScopeProperty) property)
                    .getCorrelationSetTable());
            jpanes.clear();
            jpanes.add(jAttPane);
            jpanes.add(jVariablePane);
            jpanes.add(jCorrelationSetPane);
            MainFrame.getmainFrame().setProperty(jpanes);
            break;
        case (Figure.LABLE_SEQUENCE):
            jAttPane = new JScrollPane(((SequenceProperty) property)
                    .getAttTable());
            jpanes.clear();
            jpanes.add(jAttPane);
            MainFrame.getmainFrame().setProperty(jpanes);
            break;
        case (Figure.LABLE_SWITCH):
            jAttPane = new JScrollPane(((SwitchProperty) property)
                    .getAttTable());
            jpanes.clear();
            jpanes.add(jAttPane);
            MainFrame.getmainFrame().setProperty(jpanes);
            break;
        case (Figure.LABLE_WHILE):
            jAttPane = new JScrollPane(((WhileProperty) property).getAttTable());
            jpanes.clear();
            jpanes.add(jAttPane);
            MainFrame.getmainFrame().setProperty(jpanes);
            break;
        case (Figure.LABLE_ASSIGN):
            jAttPane = new JScrollPane(((AssignProperty) property)
                    .getAttTable());
            jCopyPane = new JScrollPane(((AssignProperty) property)
                    .getCopyTable());
            jpanes.clear();
            jpanes.add(jAttPane);
            jpanes.add(jCopyPane);
            MainFrame.getmainFrame().setProperty(jpanes);
            break;
        case (Figure.LABLE_ONMESSAGE):
            jAttPane = new JScrollPane(((OnMessageProperty) property)
                    .getAttTable());
            jCorrelationPane = new JScrollPane(((OnMessageProperty) property)
                    .getCorrelationTable());
            jpanes.clear();
            jpanes.add(jAttPane);
            jpanes.add(jCorrelationPane);
            MainFrame.getmainFrame().setProperty(jpanes);
            break;
        case (Figure.LABLE_TRANSACTION):
            jAttPane = new JScrollPane(((TransactionProperty) property)
                    .getAttTable());
            jpanes.clear();
            jpanes.add(jAttPane);
            MainFrame.getmainFrame().setProperty(jpanes);
            break;
        default:
            jpanes.clear();
            MainFrame.getmainFrame().setProperty(jpanes);
        }
    }
        public static void addWSDLPropertyToFrame(WSDLPropertyTable propertyTable) {
        List jpanes = new Vector();
        jpanes.clear();
        if (propertyTable.getTable() != null) {
            JScrollPane jAttPane = new JScrollPane(propertyTable.getTable());
            jpanes.add(jAttPane);
        }
        MainFrame.getmainFrame().setProperty(jpanes);
    }
}
