package org.act.wsc.bpel4wsmodeling.view.graphic.leftbuttonproperty;
import javax.swing.JPopupMenu;
import javax.swing.JMenuItem;
import org.act.wsc.bpel4wsmodeling.view.gui.MainFrame;
import org.act.wsc.bpel4wsmodeling.view.processassist.AssignDialog;
import org.act.wsc.bpel4wsmodeling.view.resource.ResChoose;
import org.act.wsc.bpel4wsmodeling.projectdata.process.Figure;
import java.awt.event.MouseAdapter;
import java.awt.event.MouseEvent;
import org.act.wsc.bpel4wsmodeling.def.process.Assign;
import org.act.wsc.bpel4wsmodeling.def.process.BPELProcess;
import org.act.wsc.bpel4wsmodeling.def.process.Copy;
import java.awt.Dimension;
import java.util.ResourceBundle;
//<p></p><p></p><p></p><p></p>
public class AssignPropertyRightMenu extends JPopupMenu{
	 ResourceBundle res = ResChoose.getLanguage();
  private JMenuItem editProperty = new JMenuItem(res.getString("editproperty"));
  private JMenuItem delete = new JMenuItem(res.getString("delete"));
  MainFrame frame = MainFrame.getmainFrame();
  Copy copy;
  Figure figure;
  Assign assign;
  BPELProcess process;
  public AssignPropertyRightMenu(Copy c, Figure f) {
    this.copy =c;
    this.figure =f;
    this.assign =(Assign) this.figure .getServicesSet() ;
    this.process =f.getOwner() .getBPELProcess() ;
    this.add(this.editProperty ) ;
    this.add(this.delete ) ;
    this.editProperty.addMouseListener(new MouseAdapter() {
       public void mouseReleased(MouseEvent e) {
         if (e.getButton() == 1&& e.getClickCount() == 1) {
           AssignDialog assignDialog = new AssignDialog(figure);
           assignDialog.setCopy(copy) ;
           assignDialog.show();
         }
       }
     });
     this.delete .addMouseListener(new MouseAdapter(){
        public void mouseReleased(MouseEvent e) {
          if (e.getButton() == 1&& e.getClickCount() == 1) {
            assign.detelteCopy(copy) ;
            process .write() ;
          }
        }
     }) ;
  }
}
