
package org.act.wsc.bpel4wsmodeling.view.graphic.leftbuttonproperty;
import java.awt.event.KeyAdapter;
import java.awt.event.KeyEvent;
import java.util.ResourceBundle;
import javax.swing.DefaultCellEditor;
import javax.swing.JTable;
import javax.swing.JTextField;
import org.act.metaset.Metaset;
import org.act.wsc.bpel4wsmodeling.def.process.Case;
import org.act.wsc.bpel4wsmodeling.projectdata.process.Figure;
import org.act.wsc.bpel4wsmodeling.view.graphic.table.EachRowEditor;
import org.act.wsc.bpel4wsmodeling.view.graphic.table.EachRowRenderer;
import org.act.wsc.bpel4wsmodeling.view.resource.ResChoose;

public class CaseProperty extends AbstractLeftProperty {
	 ResourceBundle res = ResChoose.getLanguage();
	Case label;
	JTextField conditionField=new JTextField();
	
	public CaseProperty(Figure figure) {
		super(figure);
		label=(Case) figure.getServicesSet();
		this.initAttTable();
	}
	
	void initAttTable() {
		String condition = label.getAtConditionValue();
		defaultAttTableModel.setDataVector(
				new Object[][] { { "condition", condition }},
			    new Object[] {res.getString("propertyname"), res.getString("propertyvalue") });
		this.conditionField.addKeyListener(new KeyAdapter(){
			public void keyPressed(KeyEvent e) {
				if (e.getKeyCode() == KeyEvent.VK_ENTER) {
					label.setAtConditionValue(conditionField.getText());
					process.write();
				}
			}
		});
		EachRowRenderer rowRenderer = new EachRowRenderer();
		EachRowEditor rowEditor = new EachRowEditor(jAttTable);
		DefaultCellEditor txtconditionEditor = new DefaultCellEditor(conditionField);
		rowEditor.setEditorAt(0, txtconditionEditor);
		this.jAttTable.getColumn(res.getString("propertyvalue")).setCellRenderer(rowRenderer);
		this.jAttTable.getColumn(res.getString("propertyvalue")).setCellEditor(rowEditor);
	}
  
  public void setAttTable() {
  }
}
