
package org.act.wsc.bpel4wsmodeling.view.graphic.leftbuttonproperty;
import java.awt.Dimension;
import java.awt.event.MouseAdapter;
import java.awt.event.MouseEvent;
import java.util.ResourceBundle;
import javax.swing.JMenuItem;
import javax.swing.JPopupMenu;
import org.act.wsc.bpel4wsmodeling.def.process.BPELProcess;
import org.act.wsc.bpel4wsmodeling.def.process.Correlation;
import org.act.wsc.bpel4wsmodeling.def.process.Receive;
import org.act.wsc.bpel4wsmodeling.projectdata.process.Figure;
import org.act.wsc.bpel4wsmodeling.view.gui.MainFrame;
import org.act.wsc.bpel4wsmodeling.view.processassist.CorrelationDialog;
import org.act.wsc.bpel4wsmodeling.view.resource.ResChoose;

public class ReceivePropertyRightMenu extends JPopupMenu {
	//  <code></code>
	 ResourceBundle res = ResChoose.getLanguage();
	private JMenuItem editProperty = new JMenuItem(res.getString("editproperty"));
	  private JMenuItem delete = new JMenuItem(res.getString("delete"));
	  MainFrame frame = MainFrame.getmainFrame();
	  Correlation correlation;
	  Receive receive;
	  Figure figure;
	  BPELProcess process;
	  public ReceivePropertyRightMenu(Correlation c, Figure f) {
	    this.correlation = c;
	    this.figure = f;
	    this.receive  =(Receive) this.figure .getServicesSet() ;
	    this.process = f.getOwner().getBPELProcess();
	    this.add(this.editProperty);
	    this.add(this.delete);
	    this.editProperty.addMouseListener(new MouseAdapter() {
	      public void mouseReleased(MouseEvent e) {
	        if (e.getButton() == 1 && e.getClickCount() == 1) {
	          CorrelationDialog cDialog = new CorrelationDialog(frame,figure);
	          cDialog.setCorrelation(correlation) ;
	          cDialog.setSize(new Dimension(400, 350));
	          cDialog.setLocation( (frame.getWidth() -
	                                     cDialog.getWidth()) /
	                                   2,
	                                   (frame.getHeight() -
	                                    cDialog.getHeight()) /
	                                   2);
	          cDialog.show();
	        }
	      }
	    });
	    this.delete.addMouseListener(new MouseAdapter() {
	      public void mouseReleased(MouseEvent e) {
	        if (e.getButton() == 1 && e.getClickCount() == 1) {
	        	receive.deleteCorrelation( correlation);
	          process.write();
	        }
	      }
	    });
	  }
}
