package org.act.wsc.bpel4wsmodeling.view.graphic.processeditor;
import java.util.ResourceBundle;
import javax.swing.JPopupMenu;
import javax.swing.JMenuItem;
import org.act.wsc.bpel4wsmodeling.projectdata.process.GraphLayer;
import org.act.wsc.bpel4wsmodeling.view.action.CreateVariableAction;
import org.act.wsc.bpel4wsmodeling.view.action.CreatePartnerLinkAction;
import org.act.wsc.bpel4wsmodeling.def.process.PartnerLink;
import org.act.wsc.bpel4wsmodeling.view.action.CreatCorrelationSetAction;
import org.act.wsc.bpel4wsmodeling.view.resource.ResChoose;

public class ProcessRightMenu extends JPopupMenu{
	 
	 ResourceBundle res = ResChoose.getLanguage();
  private GraphLayer graphLayer;
  private PartnerLink plink;
  private JMenuItem addPartnerLink=new JMenuItem(res.getString("addPartnerlink"));
  private JMenuItem addVariable=new JMenuItem(res.getString("addVariable"));
  private JMenuItem addCorrelationSet=new JMenuItem(res.getString("addCorrelationSet"));
  private JMenuItem addCatch=new JMenuItem(res.getString("addCatch"));
  private JMenuItem addCatchAll=new JMenuItem(res.getString("addCatchAll"));
  private JMenuItem addCompensationHandler=new JMenuItem(res.getString("addComensationHandler"));
  private JMenuItem addOnMessage=new JMenuItem(res.getString("addOnMessage"));
  private JMenuItem addOnAlarm=new JMenuItem(res.getString("addOnAlarm"));
  public ProcessRightMenu(GraphLayer graphLayer) {
    this.graphLayer =graphLayer ;
    this.add(addPartnerLink) ;
    this.add(addVariable) ;
    this.addSeparator() ;
    this.add(addCorrelationSet) ;
    this.addSeparator() ;
    this.add(addCatch) ;
    this.add(addCatchAll) ;
    this.addSeparator() ;
    this.add(addCompensationHandler) ;
    this.addSeparator() ;
    this.add(addOnMessage) ;
    this.add(addOnAlarm) ;
    this.addVariable .addActionListener(new CreateVariableAction(this.graphLayer)) ;
    this.addPartnerLink .addActionListener(new CreatePartnerLinkAction(this.graphLayer )) ;
    this.addCorrelationSet .addActionListener(new CreatCorrelationSetAction(this.graphLayer )) ;
  }
}
