
package org.act.wsc.bpel4wsmodeling.view.graphic.rightbuttonmenu;
import java.awt.Dimension;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.util.ResourceBundle;
import javax.swing.JMenuItem;
import org.act.wsc.bpel4wsmodeling.projectdata.process.Figure;
import org.act.wsc.bpel4wsmodeling.view.gui.MainFrame;
import org.act.wsc.bpel4wsmodeling.view.processassist.CorrelationDialog;
import org.act.wsc.bpel4wsmodeling.view.resource.ResChoose;

public class OnMessageRightMenu extends AbstractRightMenu {
	 
	 ResourceBundle res = ResChoose.getLanguage();
    private JMenuItem addCorrelation = new JMenuItem(res.getString("addCorrelation"));
    
    public OnMessageRightMenu(Figure f) {
        super(f);
        this.addSeparator();
        this.add(this.addCorrelation);
        this.addCorrelation.addActionListener(new ActionListener() {
            public void actionPerformed(ActionEvent e) {
                MainFrame mainframe = MainFrame.getmainFrame();
                CorrelationDialog cDialog = new CorrelationDialog(mainframe,
                        figure);
                cDialog.setCorrelation(null);
                cDialog.setSize(new Dimension(700, 260));
                cDialog.setLocation(
                        (mainframe.getWidth() - cDialog.getWidth()) / 2,
                        (mainframe.getHeight() - cDialog.getHeight()) / 2);
                cDialog.show();
            }
        });  
    }
}
