
package org.act.wsc.bpel4wsmodeling.view.gui;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.event.MouseEvent;
import java.awt.event.MouseListener;
import java.util.ResourceBundle;
import javax.swing.DefaultListModel;
import javax.swing.JList;
import javax.swing.JMenuItem;
import javax.swing.JPopupMenu;
import org.act.wsc.bpel4wsmodeling.debug.engine.WSWF;
import org.act.wsc.bpel4wsmodeling.debug.operate.WatchVariable;
import org.act.wsc.bpel4wsmodeling.view.resource.ResChoose;

public class MessagePane extends JList implements MouseListener {
    DefaultListModel listModel=new DefaultListModel();
    public MessagePane() {
        this.setModel(listModel);
        this.addMouseListener(this);
    }
    public void printMessage(String msg){
        this.listModel.addElement(msg);
    }
    
    ResourceBundle res = ResChoose.getLanguage();
    
    public void mouseClicked(MouseEvent e) {
        if(e.getButton()==3&&e.getClickCount()==1){
                        JPopupMenu menu=new JPopupMenu();
            JMenuItem removeItem=new JMenuItem(res.getString("delete"));
            JMenuItem clearItem=new JMenuItem(res.getString("clean"));
            menu.add(removeItem);
            menu.add(clearItem);
            removeItem.addActionListener(new ActionListener(){
                public void actionPerformed(ActionEvent e) {
                    if(MessagePane.this.getSelectedValue()!=null){
                        listModel.removeElement(MessagePane.this.getSelectedValue());
                    }
                }});
            
            clearItem.addActionListener(new ActionListener(){
                public void actionPerformed(ActionEvent e) {
                    listModel.removeAllElements();
                }});
            
            menu.show(e.getComponent(),e.getX(),e.getY());
        }
    }
    
    public void mouseEntered(MouseEvent arg0) {
                
    }
    
    public void mouseExited(MouseEvent arg0) {
                
    }
    
    public void mousePressed(MouseEvent arg0) {
                
    }
    
    public void mouseReleased(MouseEvent arg0) {
                
    }
}
