package org.act.wsc.bpel4wsmodeling.view.processassist;
import javax.swing.*;
import java.awt.*;
import org.act.metaset.Attribute;
import org.act.metaset.Metaset;
import org.act.wsc.bpel4wsmodeling.utils.Print;
import org.act.wsc.bpel4wsmodeling.view.gui.MainFrame;
import org.act.wsc.bpel4wsmodeling.view.resource.ResChoose;
import java.awt.event.*;
import java.util.ResourceBundle;
import org.act.wsc.bpel4wsmodeling.def.process.BPELProcess;
import org.act.wsc.bpel4wsmodeling.def.process.PartnerLink;
import org.act.wsc.bpel4wsmodeling.def.process.PartnerLinks;
import org.act.wsc.bpel4wsmodeling.projectdata.process.GraphLayer;
import org.act.wsc.bpel4wsmodeling.projectdata.processassist.ExtWsdl;
import org.act.wsc.bpel4wsmodeling.projectdata.processassist.PartnerLinkType;
import org.act.wsc.bpel4wsmodeling.projectdata.processassist.Role;
import javax.wsdl.PortType;
import org.act.wsc.bpel4wsmodeling.projectdata.Project;
import javax.wsdl.Definition;
//<p></p><p></p><p></p><p></p>
public class PartnerLinkDialog
    extends JDialog {
  JPanel jPanelParnerLink = new JPanel();
  JLabel jLabelName = new JLabel();
  JTextField jTextFieldName = new JTextField();
  JLabel jLabelPartnerLinkType = new JLabel();
  JLabel jLabelMyRole = new JLabel();
  JLabel jLabelPartnerRole = new JLabel();
  JLabel jLabelPartnerPortType = new JLabel();
  JComboBox jComboBoxPartnerLinkType = new JComboBox();
  JComboBox jComboBoxMyRole = new JComboBox();
  JComboBox jComboBoxPartnerRole = new JComboBox();
  JButton jButtonOK = new JButton();
  JButton jButtonCancel = new JButton();
  MainFrame frame = MainFrame.getmainFrame();
  PartnerLink pLink;
  PartnerLinks pLinks;
  GraphLayer myLayer;
  BPELProcess process;
  
  
  static ResourceBundle res = ResChoose.getLanguage();
  
  public PartnerLinkDialog(MainFrame frame, GraphLayer myLayer,
                           PartnerLink partnerLink) {
    super(frame, res.getString("definePartnerlink"), true);
    this.frame = frame;
    this.pLink = partnerLink;
    this.myLayer = myLayer;
    this.process = this.myLayer.getBPELProcess();
    if (this.process.getPartnerLinks() != null) {
      this.pLinks = (PartnerLinks) process.getPartnerLinks().car();
    }
    try {
      jbInit();
    }
    catch (Exception e) {
      e.printStackTrace();
    }
  }
  private void jbInit() throws Exception {
    jLabelName.setText(res.getString("name"));
    jLabelName.setBounds(new Rectangle(27, 16, 34, 16));
    jTextFieldName.setBounds(new Rectangle(23, 31, 89, 22));
    jPanelParnerLink.setLayout(null);
    jLabelPartnerLinkType.setBounds(new Rectangle(24, 60, 90, 16));
    jLabelPartnerLinkType.setText("partnerLinkType");
    jLabelMyRole.setBounds(new Rectangle(23, 110, 48, 16));
    jLabelMyRole.setText("myRole");
    jLabelPartnerRole.setBounds(new Rectangle(22, 162, 73, 16));
    jLabelPartnerRole.setText("partnerRole");
    jLabelPartnerPortType.setBounds(new Rectangle(20, 210, 124, 16));
    jLabelPartnerPortType.setText("partner portType");
    jComboBoxPartnerLinkType.setBounds(new Rectangle(23, 78, 137, 22));
    this.jComboBoxPartnerLinkType.addActionListener(new java.awt.event.
        ActionListener() {
      public void actionPerformed(ActionEvent e) {
        jComboBoxPartnerLinkType_actionPerformed(e);
      }
    }
    );
    jComboBoxMyRole.setBounds(new Rectangle(22, 129, 138, 22));
    jComboBoxPartnerRole.setBounds(new Rectangle(20, 181, 143, 22));
    jButtonOK.setBounds(new Rectangle(237, 278, 69, 22));
    jButtonOK.setActionCommand(res.getString("yes"));
    jButtonOK.setText(res.getString("yes"));
    jButtonOK.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        jButtonOK_actionPerformed(e);
      }
    });
    ;
    jButtonCancel.setText(res.getString("no"));
    jButtonCancel.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        jButtonCancel_actionPerformed(e);
      }
    });
    jButtonCancel.setBounds(new Rectangle(320, 276, 70, 24));
    this.getContentPane().add(jPanelParnerLink, BorderLayout.CENTER);
    jPanelParnerLink.add(jLabelName, null);
    jPanelParnerLink.add(jTextFieldName, null);
    jPanelParnerLink.add(jLabelPartnerLinkType, null);
    jPanelParnerLink.add(jComboBoxPartnerLinkType, null);
    jPanelParnerLink.add(jLabelMyRole, null);
    jPanelParnerLink.add(jComboBoxMyRole, null);
    jPanelParnerLink.add(jComboBoxPartnerRole, null);
    jPanelParnerLink.add(jLabelPartnerRole, null);
    jPanelParnerLink.add(jButtonCancel, null);
    jPanelParnerLink.add(jButtonOK, null);
  }
  public void setDialog() {
    this.jComboBoxPartnerLinkType.removeAllItems();
    this.jComboBoxMyRole.removeAllItems();
    this.jComboBoxPartnerRole.removeAllItems();
    java.util.List plinkTypeList = this.frame.getProject().getPlinkType();
    for (int i = 0; i < plinkTypeList.size(); i++) {
      PartnerLinkType plinkType = (PartnerLinkType) plinkTypeList.get(i);
      this.jComboBoxPartnerLinkType.addItem(plinkType);
    }
    java.util.List roleList = this.frame.getProject().getRoles();
    for (int i = 0; i < roleList.size(); i++) {
      Role r = (Role) roleList.get(i);
      this.jComboBoxMyRole.addItem(r);
      this.jComboBoxPartnerRole.addItem(r);
    }
    if (this.pLink != null) {
      this.jTextFieldName.setText(this.pLink.getAtNameValue());
      for (int i = 0; i < jComboBoxPartnerLinkType.getItemCount(); i++) {
        PartnerLinkType plt = (PartnerLinkType)this.jComboBoxPartnerLinkType.
            getItemAt(i);
                        String pltValue;
        if (this.pLink.getAtPartnerLinkTypeValue().indexOf(":") != -1) {
          pltValue = this.pLink.getAtPartnerLinkTypeValue().substring(this.
              pLink.
              getAtPartnerLinkTypeValue().indexOf(":") + 1,
              this.pLink.getAtPartnerLinkTypeValue().length());
        }
        else {
          pltValue = this.pLink.getAtPartnerLinkTypeValue();
        }
        if (plt.getName().equals(pltValue)) {
          jComboBoxPartnerLinkType.setSelectedIndex(i);
        }
      }
      for (int i = 0; i < jComboBoxMyRole.getItemCount(); i++) {
        Role myRole = (Role)this.jComboBoxMyRole.getItemAt(i);
        if (myRole.getName().equals(this.pLink.
                                    getAtMyRoleValue())) {
          jComboBoxMyRole.setSelectedIndex(i);
        }
      }
      for (int i = 0; i < jComboBoxPartnerRole.getItemCount(); i++) {
        Role pRole = (Role)this.jComboBoxMyRole.getItemAt(i);
        if (pRole.getName().equals(this.pLink.
                                   getAtPartnerRoleValue())) {
          jComboBoxPartnerRole.setSelectedIndex(i);
        }
      }
    }
  }
  public void jButtonOK_actionPerformed(ActionEvent e) {
    if (this.pLinks == null) {
      this.pLinks = new PartnerLinks();
    }
    if (this.jComboBoxPartnerLinkType.getSelectedItem() != null) {
      String name = this.jTextFieldName.getText();
      PartnerLinkType plinktype = (PartnerLinkType)this.
          jComboBoxPartnerLinkType.
          getSelectedItem();
      String pltName = plinktype.getName();
      Role myrole = null;
      String myrolename = null;
      PortType pt = null;
      if (this.jComboBoxMyRole.getSelectedItem() != null) {
        myrole = (Role)this.jComboBoxMyRole.getSelectedItem();
        myrolename = myrole.getName();
      }
      Role partnerrole = null;
      String partnerrolename = null;
      if (this.jComboBoxPartnerRole.getSelectedItem() != null) {
        partnerrole = (Role)this.jComboBoxPartnerRole.getSelectedItem();
        partnerrolename = partnerrole.getName();
        pt = partnerrole.getPortType();
      }
      PartnerLink tempplink;
            tempplink = new PartnerLink();
      tempplink.setAtNameValue(name);
      if (myrolename != null) {
        tempplink.setAtMyRoleValue(myrolename);
      }
      tempplink.setAtPartnerLinkTypeValue("tns:" + pltName);       if (partnerrolename != null) {
        tempplink.setAtPartnerRoleValue(partnerrolename);
      }
      if (this.pLink == null) {         this.pLink = new PartnerLink();
        boolean flag = false;
                for (int i = 0; i < this.pLinks.getChilds().size(); i++) {
          PartnerLink plink = (PartnerLink)this.pLinks.getChilds().get(i);
          if (plink.getAtNameValue().equals(tempplink.getAtNameValue())) {
            flag = true;
          }
          if (flag == true) {
            Print.showMessage(res.getString("samename_partnerlin"),Print.MESSAGE_TYPE_ERROR);
            break;
          }
        }
        if (flag == false) {
          this.pLink = tempplink;
          this.process.addPartnerLink(this.pLink);
        }
      }
      else {                 boolean flag = false;
        for (int i = 0; i < this.pLinks.getChilds().size(); i++) {
          PartnerLink plink = (PartnerLink)this.pLinks.getChilds().get(i);
          if (plink.getAtNameValue().equals(tempplink.getAtNameValue())) {
            flag = true;
          }
          if (flag == true) {
            break;
          }
        }
        if (flag == false) {
          this.pLink.setAtNameValue(tempplink.getAtNameValue());
        }
        if (myrolename != null) {
          this.pLink.setAtMyRoleValue(myrolename);
        }
        this.pLink.setAtPartnerLinkTypeValue("tns:" + pltName);
        if (partnerrolename != null) {
          this.pLink.setAtPartnerRoleValue(partnerrolename);
        }
      }
      this.process.write();
    }
    this.dispose();
  }
  void jButtonCancel_actionPerformed(ActionEvent e) {
    dispose();
  }
  public void jComboBoxPartnerLinkType_actionPerformed(ActionEvent e) {
    if (e.getSource().equals(this.jComboBoxPartnerLinkType)) {
      if (this.jComboBoxPartnerLinkType.getSelectedItem() != null) {
        this.jComboBoxMyRole.removeAllItems();
        this.jComboBoxPartnerRole.removeAllItems();
        PartnerLinkType plt = (PartnerLinkType)this.jComboBoxPartnerLinkType.
            getSelectedItem();
        this.jComboBoxMyRole.addItem(plt.getMyRole());
        this.jComboBoxPartnerRole.addItem(plt.getPartnerRole());
      }
    }
  }
}
