
package org.act.wsc.bpel4wsmodeling.view.processassist;

import java.awt.GridBagConstraints;
import java.awt.GridBagLayout;
import java.awt.Insets;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.util.Iterator;
import java.util.ResourceBundle;
import javax.swing.DefaultListModel;
import javax.swing.JButton;
import javax.swing.JDialog;
import javax.swing.JLabel;
import javax.swing.JList;
import javax.swing.JTextField;
import javax.swing.border.EtchedBorder;
import javax.xml.namespace.QName;
import org.act.wsc.bpel4wsmodeling.projectdata.Project;
import org.act.wsc.bpel4wsmodeling.projectdata.processassist.InputImpl;
import org.act.wsc.bpel4wsmodeling.projectdata.processassist.MessageImpl;
import org.act.wsc.bpel4wsmodeling.projectdata.processassist.OperationImpl;
import org.act.wsc.bpel4wsmodeling.projectdata.processassist.OperationWrapper;
import org.act.wsc.bpel4wsmodeling.projectdata.processassist.OutputImpl;
import org.act.wsc.bpel4wsmodeling.projectdata.processassist.PortTypeImpl;
import org.act.wsc.bpel4wsmodeling.projectdata.wsdlregistry.WSDLRegistryEntry;
import org.act.wsc.bpel4wsmodeling.view.gui.MainFrame;
import org.act.wsc.bpel4wsmodeling.view.resource.ResChoose;
public class PortTypeDefineDialog extends JDialog {
    
	
	 
	 static ResourceBundle res = ResChoose.getLanguage();
	 
    PortTypeImpl portType=null;
    
    Project project;
    
    public PortTypeDefineDialog(PortTypeImpl portType,Project project) {
        super(MainFrame.getmainFrame(),res.getString("definePortType"),true);
        this.portType=portType;
        this.project=project;
        try {
            jbInit();
        } catch (Exception ex) {
            ex.printStackTrace();
        }
    }
    private void jbInit() throws Exception {
        this.getContentPane().setLayout(gridBagLayout1);
        
        jLabelPtName.setText("PortType Name:");
        jTextFieldPtName.setText("");
        jLabelOp.setText("Operation");
        jLabelOpName.setText(" Name:");
        jTextFieldOpName.setText("");
        jLabelInput.setText("Input:");
        jLabeloutput.setText("Output:");
        jButtonRemove.setText("<<");
        jButtonRemove.addActionListener(new
                PortTypeDefineDialog_jButtonRemove_actionAdapter(this));
        jButtonAdd.setText(">>");
        jButtonAdd.addActionListener(new
                PortTypeDefineDialog_jButtonAdd_actionAdapter(this));
        jListOps.setBorder(etchedBorder);
        jListOps.setModel(listModel);
        jButtonCancel.setText(res.getString("no"));
        jButtonCancel.addActionListener(new
                PortTypeDefineDialog_jButtonCancel_actionAdapter(this));
        jButtonOk.setText(res.getString("yes"));
        jButtonOk.addActionListener(new
                PortTypeDefineDialog_jButtonOk_actionAdapter(this));
        this.getContentPane().add(jTextFieldPtName,
                                  new GridBagConstraints(2, 0, 3, 1, 1.0, 0.0
                , GridBagConstraints.WEST, GridBagConstraints.HORIZONTAL,
                new Insets(12, 0, 0, 95), 184, -1));
        this.getContentPane().add(jButtonOk,
                                  new GridBagConstraints(1, 5, 2, 1, 0.0, 0.0
                , GridBagConstraints.CENTER, GridBagConstraints.NONE,
                new Insets(15, 0, 14, 16), 17, 0));
        this.getContentPane().add(jListOps,
                                  new GridBagConstraints(4, 2, 1, 3, 1.0, 1.0
                , GridBagConstraints.CENTER, GridBagConstraints.BOTH,
                new Insets(0, 16, 0, 20), 146, 127));
        this.getContentPane().add(jLabeloutput,
                                  new GridBagConstraints(0, 4, 1, 1, 0.0, 0.0
                , GridBagConstraints.WEST, GridBagConstraints.NONE,
                new Insets(0, 12, 21, 0), 9, 4));
        this.getContentPane().add(jTextFieldOutput,
                                  new GridBagConstraints(1, 4, 2, 1, 1.0, 0.0
                , GridBagConstraints.WEST, GridBagConstraints.HORIZONTAL,
                new Insets(0, 0, 21, 0), 78, -1));
        this.getContentPane().add(jLabelInput,
                                  new GridBagConstraints(0, 3, 1, 1, 0.0, 0.0
                , GridBagConstraints.WEST, GridBagConstraints.NONE,
                new Insets(7, 12, 18, 0), 18, 4));
        this.getContentPane().add(jTextFieldInput,
                                  new GridBagConstraints(1, 3, 2, 1, 1.0, 0.0
                , GridBagConstraints.WEST, GridBagConstraints.HORIZONTAL,
                new Insets(7, 0, 18, 0), 78, -1));
        this.getContentPane().add(jLabelOpName,
                                  new GridBagConstraints(0, 2, 1, 1, 0.0, 0.0
                , GridBagConstraints.WEST, GridBagConstraints.NONE,
                new Insets(9, 12, 12, 0), 11, 4));
        this.getContentPane().add(jTextFieldOpName,
                                  new GridBagConstraints(1, 2, 2, 1, 1.0, 0.0
                , GridBagConstraints.WEST, GridBagConstraints.HORIZONTAL,
                new Insets(9, 0, 12, 0), 78, -1));
        this.getContentPane().add(jLabelOp,
                                  new GridBagConstraints(0, 1, 2, 1, 0.0, 0.0
                , GridBagConstraints.WEST, GridBagConstraints.NONE,
                new Insets(14, 12, 0, 35), 16, 4));
        this.getContentPane().add(jLabelPtName,
                                  new GridBagConstraints(0, 0, 2, 1, 0.0, 0.0
                , GridBagConstraints.WEST, GridBagConstraints.NONE,
                new Insets(12, 12, 0, 0), 22, 4));
        this.getContentPane().add(jButtonRemove,
                                  new GridBagConstraints(3, 3, 1, 1, 0.0, 0.0
                , GridBagConstraints.SOUTHWEST, GridBagConstraints.NONE,
                new Insets(20, 13, 0, 6), 7, 0));
        this.getContentPane().add(jButtonAdd,
                                  new GridBagConstraints(3, 2, 1, 1, 0.0, 0.0
                , GridBagConstraints.SOUTHWEST, GridBagConstraints.NONE,
                new Insets(16, 13, 0, 6), 7, 0));
        this.getContentPane().add(jButtonCancel,
                                  new GridBagConstraints(4, 5, 1, 1, 0.0, 0.0
                , GridBagConstraints.CENTER, GridBagConstraints.NONE,
                new Insets(14, 37, 14, 64), 36, 0));
        
        this.setSize(470,290);
        this.setDialog();
    }
    private void setDialog(){
        if(portType!=null){
            this.jTextFieldPtName.setText(portType.getQName().getLocalPart());
            for (Iterator iter = portType.getOperations().iterator(); iter.hasNext();) {
                OperationImpl operation = (OperationImpl) iter.next();
                listModel.addElement(new OperationWrapper(operation));
            }
        }
    }
    
    JLabel jLabelPtName = new JLabel();
    JTextField jTextFieldPtName = new JTextField();
    JLabel jLabelOp = new JLabel();
    JLabel jLabelOpName = new JLabel();
    JTextField jTextFieldOpName = new JTextField();
    JTextField jTextFieldInput = new JTextField();
    JLabel jLabelInput = new JLabel();
    JTextField jTextFieldOutput = new JTextField();
    JLabel jLabeloutput = new JLabel();
    JButton jButtonRemove = new JButton();
    JButton jButtonAdd = new JButton();
    JList jListOps = new JList();
    JButton jButtonCancel = new JButton();
    JButton jButtonOk = new JButton();
    EtchedBorder etchedBorder=new EtchedBorder();
    GridBagLayout gridBagLayout1 = new GridBagLayout();
    DefaultListModel listModel=new DefaultListModel();
    public void jButtonAdd_actionPerformed(ActionEvent e) {
        if(this.jTextFieldOpName.getText()!=null&&!this.jTextFieldOpName.getText().equals("")){
                        OperationImpl op = new OperationImpl();
            op.setName(this.jTextFieldOpName.getText());
            if(this.jTextFieldInput.getText()!=null&&!this.jTextFieldInput.getText().equals("")){
                InputImpl input=new InputImpl();
                MessageImpl inputM=new MessageImpl();
                inputM.setQName(new QName("",this.jTextFieldInput.getText()));
                input.setMessage(inputM);
                op.setInput(input);
            }
            if(this.jTextFieldOutput.getText()!=null&&!this.jTextFieldOutput.getText().equals("")){
                OutputImpl output=new OutputImpl();
                MessageImpl outputM=new MessageImpl();
                outputM.setQName(new QName("",this.jTextFieldOutput.getText()));
                output.setMessage(outputM);
                op.setOutput(output);
            }
            OperationWrapper operationWrapper=new OperationWrapper(op);
            listModel.addElement(operationWrapper);
            this.jTextFieldOpName.setText("");
            this.jTextFieldInput.setText("");
            this.jTextFieldOutput.setText("");
        }
    }
    public void jButtonRemove_actionPerformed(ActionEvent e) {
        if(jListOps.getSelectedValue()!=null){
            listModel.removeElement(jListOps.getSelectedValue());
        }
    }
    public void jButtonOk_actionPerformed(ActionEvent e) {
        if(this.jTextFieldPtName.getText()==null||this.jTextFieldPtName.getText().equals("")){
            return;
        }
        if(this.portType==null){
                        portType=new PortTypeImpl();
        }
        portType.setQName(new QName("",this.jTextFieldPtName.getText()));
        portType.getOperations().clear();
        for (int i = 0; i < listModel.toArray().length; i++) {
            OperationWrapper operationWrapper = (OperationWrapper) listModel.toArray()[i];
            OperationImpl operation=(OperationImpl) operationWrapper.getWrappedOperation();
            portType.addOperation(operation);
                        if(operation.getInput()!=null&&operation.getInput().getMessage()!=null){
                MessageImpl message=(MessageImpl) operation.getInput().getMessage();
                if(project.getWSDLRegistry().findMessage(message.getQName().getNamespaceURI(),message.getQName().getLocalPart())==null){
                    WSDLRegistryEntry entry=new WSDLRegistryEntry();
                    entry.localName=message.getQName().getLocalPart();
                    entry.namespace=message.getQName().getNamespaceURI();
                    entry.type=WSDLRegistryEntry.TYPE_MESG;
                    entry.userObject=message;
                    project.getWSDLRegistry().addMessage(entry);
                }
            }
            if(operation.getOutput()!=null&&operation.getOutput().getMessage()!=null){
                MessageImpl message=(MessageImpl) operation.getOutput().getMessage();
                if(project.getWSDLRegistry().findMessage(message.getQName().getNamespaceURI(),message.getQName().getLocalPart())==null){
                    WSDLRegistryEntry entry=new WSDLRegistryEntry();
                    entry.localName=message.getQName().getLocalPart();
                    entry.namespace=message.getQName().getNamespaceURI();
                    entry.type=WSDLRegistryEntry.TYPE_MESG;
                    entry.userObject=message;
                    project.getWSDLRegistry().addMessage(entry);
                }
            }
        }
        this.dispose();
    }
    public void jButtonCancel_actionPerformed(ActionEvent e) {
        this.dispose();
    }
    
    public PortTypeImpl getPortType() {
        return portType;
    }
}
class PortTypeDefineDialog_jButtonCancel_actionAdapter implements
        ActionListener {
    private PortTypeDefineDialog adaptee;
    PortTypeDefineDialog_jButtonCancel_actionAdapter(PortTypeDefineDialog
            adaptee) {
        this.adaptee = adaptee;
    }
    public void actionPerformed(ActionEvent e) {
        adaptee.jButtonCancel_actionPerformed(e);
    }
}
class PortTypeDefineDialog_jButtonOk_actionAdapter implements ActionListener {
    private PortTypeDefineDialog adaptee;
    PortTypeDefineDialog_jButtonOk_actionAdapter(PortTypeDefineDialog adaptee) {
        this.adaptee = adaptee;
    }
    public void actionPerformed(ActionEvent e) {
        adaptee.jButtonOk_actionPerformed(e);
    }
}
class PortTypeDefineDialog_jButtonRemove_actionAdapter implements
        ActionListener {
    private PortTypeDefineDialog adaptee;
    PortTypeDefineDialog_jButtonRemove_actionAdapter(PortTypeDefineDialog
            adaptee) {
        this.adaptee = adaptee;
    }
    public void actionPerformed(ActionEvent e) {
        adaptee.jButtonRemove_actionPerformed(e);
    }
}
class PortTypeDefineDialog_jButtonAdd_actionAdapter implements ActionListener {
    private PortTypeDefineDialog adaptee;
    PortTypeDefineDialog_jButtonAdd_actionAdapter(PortTypeDefineDialog adaptee) {
        this.adaptee = adaptee;
    }
    public void actionPerformed(ActionEvent e) {
        adaptee.jButtonAdd_actionPerformed(e);
    }
}
