package org.act.wsc.bpel4wsmodeling.view.processassist;
import javax.swing.*;
import java.awt.*;
import org.act.wsc.bpel4wsmodeling.projectdata.GetActiveProjectDir;
import org.act.wsc.bpel4wsmodeling.projectdata.Project;
import org.act.wsc.bpel4wsmodeling.view.gui.MainFrame;
import org.act.wsc.bpel4wsmodeling.view.resource.ResChoose;
import java.awt.event.ActionEvent;
import org.act.wsc.bpel4wsmodeling.projectdata.processassist.Property;
import org.act.wsc.bpel4wsmodeling.projectdata.processassist.PropertyWsdl;
import javax.wsdl.Definition;
import javax.wsdl.extensions.ExtensibilityElement;
import javax.wsdl.extensions.UnknownExtensibilityElement;
import javax.wsdl.xml.WSDLWriter;
import java.io.File;
import java.io.FileOutputStream;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.util.Iterator;
import java.util.Properties;
import java.util.ResourceBundle;
import javax.wsdl.WSDLException;
import org.w3c.dom.Document;
import org.w3c.dom.Element;
import javax.xml.parsers.*;
import javax.xml.parsers.*;
import javax.xml.transform.OutputKeys;
import javax.xml.transform.Transformer;
import javax.xml.transform.TransformerFactory;
import javax.xml.transform.dom.DOMSource;
import javax.xml.transform.stream.StreamResult;
import org.act.wsc.bpel4wsmodeling.utils.ConstanceSet;
import org.act.wsc.bpel4wsmodeling.utils.Print;
//<p></p><p></p><p></p><p></p>
public class PropertyDialog extends JDialog {
	JPanel jPanel1 = new JPanel();
	JLabel jLabelName = new JLabel();
	JLabel jLabelType = new JLabel();
	JComboBox jComboBoxType = new JComboBox();
	JButton jButtonOK = new JButton();
	JButton jButtonCancel = new JButton();
	JTextField jTextFieldName = new JTextField();
	Property property;
	Project project;
	PropertyWsdl propertyWsdl;
	Definition wsdlProperty;
	 ResourceBundle res = ResChoose.getLanguage();
	public PropertyDialog(Project proj, MainFrame mainframe, Property property) {
		super(mainframe);
		this.property = property;
		this.project = proj;
		propertyWsdl = this.project.getPropertyWsdl();
		try {
			jbInit();
		} catch (Exception e) {
			e.printStackTrace();
		}
	}
	private void jbInit() throws Exception {
		jLabelName.setText("name");
		jLabelName.setBounds(new Rectangle(33, 29, 71, 25));
		jPanel1.setLayout(null);
		jLabelType.setBounds(new Rectangle(33, 77, 71, 25));
		jLabelType.setText("type");
		jComboBoxType.setBounds(new Rectangle(116, 77, 227, 27));
		jButtonOK.setBounds(new Rectangle(176, 132, 71, 22));
		jButtonOK.setText("OK");
		jButtonOK.addActionListener(new java.awt.event.ActionListener() {
			public void actionPerformed(ActionEvent e) {
				jButtonOK_actionPerformed(e);
			}
		});
		jButtonCancel.setText("Cancel");
		jButtonCancel.setBounds(new Rectangle(272, 131, 71, 22));
		jButtonCancel.addActionListener(new java.awt.event.ActionListener() {
			public void actionPerformed(ActionEvent e) {
				jButtonCancel_actionPerformed(e);
			}
		});
		jPanel1.setMaximumSize(new Dimension(32767, 52767));
		jTextFieldName.setBounds(new Rectangle(116, 35, 226, 29));
		jPanel1.add(jLabelName, null);
		jPanel1.add(jLabelType, null);
		jPanel1.add(jComboBoxType, null);
		this.getContentPane().add(jPanel1, BorderLayout.CENTER);
		jPanel1.add(jButtonCancel, null);
		jPanel1.add(jButtonOK, null);
		jPanel1.add(jTextFieldName, null);
		setDialog();
	}
	public void setDialog() {
		this.jComboBoxType.removeAllItems();
		for (Iterator iter = ConstanceSet.getXMLSchemaBuildinTypes().iterator(); iter.hasNext();) {
            String type = (String) iter.next();
            this.jComboBoxType.addItem(type);
        }
		if (this.property != null) {
			this.jTextFieldName.setText(this.property.getName());
			for (int i = 0; i < this.jComboBoxType.getItemCount(); i++) {
				String s = this.jComboBoxType.getItemAt(i).toString();
				if (s.equals(this.property.getType())) {
					this.jComboBoxType.setSelectedIndex(i);
				}
			}
		}
	}
	public void jButtonOK_actionPerformed(ActionEvent e) {
		if(this.jTextFieldName.getText()!=null&&!this.jTextFieldName.getText().equals("")&&this.jComboBoxType.getSelectedIndex()!=-1){
		    Property prot = new Property();
		    prot.setName(this.jTextFieldName.getText());
			prot.setType(this.jComboBoxType.getSelectedItem().toString());
			if (this.property == null) {
			    this.property=prot;
			    if(this.project.addProperty(property)==false){
			        			        Print.showMessage("");
			        JOptionPane.showMessageDialog(MainFrame.getmainFrame(),res.getString("samenameProperty"),res.getString("warning"),JOptionPane.WARNING_MESSAGE);
			    }
			} else {
			    this.property.setName(prot.getName());
			    this.property.setType(prot.getType());
				this.project.modifyProperty();
			}
		}
		this.dispose();
	}
	public void jButtonCancel_actionPerformed(ActionEvent e) {
		this.dispose();
	}
}
