
package org.act.wsc.bpel4wsmodeling.def;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import org.act.metaset.Attribute;
import org.act.metaset.Metaset;
import org.act.wsc.bpel4wsmodeling.def.resource.AttributeText;
import org.act.wsc.bpel4wsmodeling.def.resource.LabelText;

public class MetaSetExNS extends Metaset{
    
    Attribute tnsAtt=new Attribute(AttributeText.TARGET_NS,"");
    Map nsAtt=new HashMap();
    
    public MetaSetExNS() {
        super();
        this.add(tnsAtt);
    }
    
    
    
    public MetaSetExNS(String name) {
        super(name);
        this.add(tnsAtt);
    }
    public void addNamespace(String prefix,String ns){
        Attribute attribute=new Attribute(prefix,ns);
        this.add(attribute);
        nsAtt.put(prefix,attribute);
    }
    public void removeNamespace(String prefix){
        this.remove((Attribute)nsAtt.get(prefix));
        nsAtt.remove(prefix);
    }
    public List getNamespaces(){
        return null;
    }
    public String getNamespace(String prefix){
        return ((Attribute)nsAtt.get(prefix)).getValue();
    }
    
    public void setTargetNamespace(String tns){
        tnsAtt.setValue(tns);
    }
    
    public String getTargetNamespace(){
        return tnsAtt.getValue();
    }
}
