package org.act.wsc.bpel4wsmodeling.def.process;
import java.util.List;
import java.util.Vector;
import org.act.metaset.Attribute;
import org.act.metaset.Metaset;
import org.act.wsc.bpel4wsmodeling.bpeldata.listener.
    ICorrelationSetPropertyListener;
import java.util.Iterator;
//<p></p><p></p><p></p><p></p>
public class CorrelationSet
    extends Metaset {
  Attribute name;
  Attribute properties;
  private List propertyListners = new Vector();
  public CorrelationSet() {
    super("correlationSet");
    this.name = new Attribute("name", "");
    this.properties = new Attribute("properties", "");
    this.add(name);
    this.add(properties);
  }
  public void setAtNameValue(String s) {
    this.name.setValue(s);
    this.fireNameUpdated(s);
  }
  public String getAtNameValue() {
    return this.name.getValue();
  }
  public void setAtPropertiesValue(String s) {
    this.properties.setValue(s);
  }
  public String getAtPropertiesValue() {
    return this.properties.getValue();
  }
  public void addAtt(Attribute att) {
    this.add(att);
  }
  public void deleteAtt(Attribute att) {
    this.remove(att);
  }
  public void addPropertyListeners(ICorrelationSetPropertyListener l) {
    if (!this.propertyListners.contains(l)) {
      this.propertyListners.add(l);
    }
  }
  public void removePropertyListner(ICorrelationSetPropertyListener i) {
    if (this.propertyListners.contains(i)) {
      this.propertyListners.remove(i);
    }
  }
  private void fireNameUpdated(String name) {
    for (Iterator iter = this.propertyListners.iterator(); iter.hasNext(); ) {
      ICorrelationSetPropertyListener element = (
          ICorrelationSetPropertyListener) iter.next();
      element.correlationSetNameUpdate(this, name);
    }
  }
}
