package org.act.wsc.bpel4wsmodeling.def.process;
import java.util.Iterator;
import org.act.metaset.Attribute;
import org.act.metaset.Metaset;
import org.act.wsc.bpel4wsmodeling.bpeldata.listener.IActivityChildListener;
//<p></p><p></p><p></p><p></p>
public class Invoke
    extends Activity {
  Attribute partnerLink;
  Attribute portType;
  Attribute operation;
  Attribute inVariable;
  Attribute outVariable;
  public Invoke() {
    super();
    this.setName("invoke");
    this.partnerLink = new Attribute("partnerLink", "");
    this.portType = new Attribute("portType", "");
    this.operation = new Attribute("operation", "");
    this.inVariable = new Attribute("inputVariable", "");
    this.outVariable = new Attribute("outputVariable", "");
    this.add(partnerLink);
    this.add(portType);
    this.add(operation);
    this.add(inVariable);
    this.add(outVariable);
  }
  public void setAtPartnerLinkValue(String s) {
    this.partnerLink.setValue(s);
  }
  public String getAtPartnerLinkValue() {
    return this.partnerLink.getValue();
  }
  public void setAtPortTypeValue(String s) {
    this.portType.setValue(s);
  }
  public String getAtPortTypeValue() {
    return this.portType.getValue();
  }
  public void setAtOperationValue(String s) {
    this.operation.setValue(s);
  }
  public String getAtOperationValue() {
    return this.operation.getValue();
  }
  public void setAtInVariableValue(String s) {
    this.inVariable.setValue(s);
  }
  public String getAtInVariableValue() {
    return this.inVariable.getValue();
  }
  public void setAtOutVariableValue(String s) {
    this.outVariable.setValue(s);
  }
  public String getAtOutVariableValue() {
    return this.outVariable.getValue();
  }
  public void addCorrelations(Correlations correlations) {
    if (this.filter(".\\correlations") == null) {
      this.add(correlations);
      correlations.setFather(this);
    }
  }
  public void addCorrelation(Correlation correlation) {
    Correlations correlations;
    if (this.filter(".\\correlations") == null) {
      correlations = new Correlations();
      this.add(correlations);
      correlations.setFather(this);
    }
    else {
      correlations = (Correlations)this.getCorrelations().car();
    }
    if(correlations.addCorrelation(correlation)==true){
        fireCorrelationAdded(correlation);   
    }
  }
  
private void fireCorrelationAdded(Correlation correlation) {
	    for (Iterator iter = this.childListeners.iterator(); iter.hasNext(); ) {
    	IActivityChildListener element = (IActivityChildListener) iter.next();
        element.addCorrelation( correlation);
      }
}
public void deleteCorrelation(Correlation correlation) {
    fireCorrelationDeleted(correlation);
  	Correlations correlations = (Correlations)this.getCorrelations() .car() ;
  	correlations.deleteCorrelation(correlation);
    if (correlations.getChilds().size() == 0) {
    	this.detelteCorrelations( correlations);
    }
  }
  
private void fireCorrelationDeleted(Correlation correlation) {
	    for (Iterator iter = this.childListeners.iterator(); iter.hasNext(); ) {
    	IActivityChildListener element = (IActivityChildListener) iter.next();
        element.deleteCorrelation(correlation );
      }
}
public Metaset getCorrelations() {
    return this.filter(".\\correlations");
  }
  public void detelteCorrelations(Correlations correlations) {
    this.remove(correlations);
  }
  public void addCatch(Catch catchLabel) {
    this.add(catchLabel);
    catchLabel.setFather(this);
  }
  public Metaset getCatches() {
    return this.filter(".\\catch");
  }
  public void deleteCatch(Catch catchLabel) {
    this.remove(catchLabel);
  }
  public void addcatchAll(CatchAll catchAll) {
    if (this.filter(".\\catchAll") == null) {
      this.add(catchAll);
      catchAll.setFather(this);
    }
  }
  public Metaset getCatchAll() {
    return this.filter(".\\catchAll");
  }
  public void deleteCatchAll(CatchAll catchAll) {
    this.remove(catchAll);
  }
  public void addCompensationHandler(CompensationHandler compensationHandler) {
    if (this.filter(".\\compensationHandler") == null) {
      this.add(compensationHandler);
      compensationHandler.setFather(this);
    }
  }
  public Metaset getCompensationHandler() {
    return this.filter(".\\compensationHandler");
  }
  public void deleteCompensationHandler(CompensationHandler compensationHandler) {
    this.remove(compensationHandler);
  }
}
