package org.act.wsc.bpel4wsmodeling.def.process;
import org.act.metaset.Attribute;
import org.act.metaset.Metaset;
import org.act.wsc.bpel4wsmodeling.bpeldata.listener.
    IPartnerLinkPropertyListener;
import java.util.List;
import java.util.Vector;
import java.util.Iterator;
//<p></p><p></p><p></p><p></p>
public class PartnerLink
    extends Metaset {
  Attribute name;
  Attribute partnerLinkType;
  Attribute myRole;
  Attribute partnerRole;
  private List propertyListners = new Vector();
  public PartnerLink() {
    super("partnerLink");
    this.name = new Attribute("name", "");
    this.partnerLinkType = new Attribute("partnerLinkType", "");
    this.myRole = new Attribute("myRole", "");
    this.partnerRole = new Attribute("partnerRole", "");
    this.add(this.name);
    this.add(this.partnerLinkType);
    this.add(this.myRole);
    this.add(this.partnerRole);
  }
  public void setAtNameValue(String s) {
    this.name.setValue(s);
    this.fireNameUpdated(s) ;
  }
  public String getAtNameValue() {
    return this.name.getValue();
  }
  public void setAtPartnerLinkTypeValue(String s) {
    this.partnerLinkType.setValue(s);
  }
  public String getAtPartnerLinkTypeValue() {
    return this.partnerLinkType.getValue();
  }
  public void setAtMyRoleValue(String s) {
    this.myRole.setValue(s);
  }
  public String getAtMyRoleValue() {
    return this.myRole.getValue();
  }
  public void setAtPartnerRoleValue(String s) {
    this.partnerRole.setValue(s);
  }
  public String getAtPartnerRoleValue() {
    return this.partnerRole.getValue();
  }
  public void addAtt(Attribute att) {
    this.add(att);
  }
  public void deleteAtt(Attribute att) {
    this.remove(att);
  }
  public void addPropertyListeners(IPartnerLinkPropertyListener l) {
    if (!this.propertyListners.contains(l)) {
      this.propertyListners.add(l);
    }
  }
  public void removePropertyListner(IPartnerLinkPropertyListener i) {
    if (this.propertyListners.contains(i)) {
      this.propertyListners.remove(i);
    }
  }
  private void fireNameUpdated(String name) {
    for (Iterator iter = this.propertyListners.iterator(); iter.hasNext(); ) {
      IPartnerLinkPropertyListener element = (IPartnerLinkPropertyListener)
          iter.next();
      element.plinkNameUpdate(this, name);
    }
  }
}
