package org.act.wsc.bpel4wsmodeling.def.process;
import java.util.List;
import java.util.Vector;
import org.act.metaset.Attribute;
import org.act.metaset.Metaset;
import org.act.wsc.bpel4wsmodeling.bpeldata.listener.IVariablePropertyListener;
import java.util.Iterator;
//<p></p><p></p><p></p><p></p>
public class Variable
    extends Metaset {
  Attribute name;
  Attribute messageType;
  Attribute type;
  Attribute element;
  private List propertyListners = new Vector();
  public Variable() {
    super("variable");
    this.name = new Attribute("name", "");
    this.messageType = new Attribute("messageType", "");
    this.type = new Attribute("type", "");
    this.element = new Attribute("element", "");
    this.add(this.name);
    this.add(this.messageType);
    this.add(this.type);
    this.add(this.element);
  }
  public void setAtNameValue(String s) {
    this.name.setValue(s);
    this.fireNameUpdated(s);
  }
  public String getAtNameValue() {
    return this.name.getValue();
  }
  public void setAtMessageTypeValue(String s) {
    this.messageType.setValue(s);
  }
  public String getAtMessageTypeValue() {
    return this.messageType.getValue();
  }
  public void setAtTypeValue(String s) {
    this.type.setValue(s);
  }
  public String getAtTypeValue() {
    return this.type.getValue();
  }
  public void setAtElementValue(String s) {
    this.name.setValue(s);
  }
  public String getAtElementValue() {
    return this.name.getValue();
  }
  public void addAtt(Attribute att) {
    this.add(att);
  }
  public void deleteAtt(Attribute att) {
    this.remove(att);
  }
  public void addPropertyListeners(IVariablePropertyListener l) {
    if (!this.propertyListners.contains(l)) {
      this.propertyListners.add(l);
    }
  }
  public void removePropertyListner(IVariablePropertyListener i) {
    if (this.propertyListners.contains(i)) {
      this.propertyListners.remove(i);
    }
  }
  private void fireNameUpdated(String name) {
    for (Iterator iter = this.propertyListners.iterator(); iter.hasNext(); ) {
      IVariablePropertyListener element = (IVariablePropertyListener) iter.next();
      element.varNameUpdate(this, name);
    }
  }
}
