
package org.act.wsc.bpel4wsmodeling.def.property;
import org.act.metaset.Attribute;
import org.act.metaset.Metaset;
import org.act.wsc.bpel4wsmodeling.def.resource.AttributeText;
import org.act.wsc.bpel4wsmodeling.def.resource.LabelText;

public class PropertyAlias extends Metaset {
    
    
    Attribute propertyName=new Attribute(AttributeText.PROPERTYALIAS_PROP,"");
    
    
    Attribute messageName=new Attribute(AttributeText.PROPERTYALIAS_MESSG,"");
    
    
    Attribute part=new Attribute(AttributeText.PROPERTYALIAS_PART,"");
    
    
    Attribute query=new Attribute(AttributeText.PROPERTYALIAS_QUERY,"");
    
    public PropertyAlias() {
        super(LabelText.PROPERTY_ALIAS);
        this.add(messageName);
        this.add(propertyName);
        this.add(part);
        this.add(query);
    }
    
    public String getAtMessageNameValue() {
        return messageName.getValue();
    }
    
    public void setAtMessageNameValue(String messageName) {
        this.messageName.setValue(messageName) ;
    }
    
    public String getAtPartValue() {
        return part.getValue();
    }
    
    public void setAtPartValue(String part) {
        this.part.setValue(part);
    }
    
    public String getAtPropertyNameValue() {
        return propertyName.getValue();
    }
    
    public void setAtPropertyNameValue(String propertyName) {
        this.propertyName.setValue(propertyName);
    }
    
    public String getAtQueryValue() {
        return query.getValue();
    }
    
    public void setAtQueryValue(String query) {
        this.query.setValue(query);
    }
}
