package org.act.wsc.bpel4wsmodeling.projectdata;
import org.act.metaset.Attribute;
import org.act.metaset.Metaset;
import java.io.FileOutputStream;
import java.io.IOException;

public class ProjectWriter {
  Metaset project;
  Metaset projectInfo;
  Metaset wsdls;
  Attribute projectName;
  Attribute projectDescription;
  String path;
  
  public ProjectWriter(String path) {
    this.path = path;
    this.project = new Metaset("wfproject");
    this.projectInfo = new Metaset("project");
    this.projectName = new Attribute("name", "");
    this.projectDescription = new Attribute("description", "");
    this.projectInfo.add(this.projectName);
    this.projectInfo.add(this.projectDescription);
    this.wsdls = new Metaset("wsdls");
    this.project.add(this.projectInfo);
    this.projectInfo .setFather(this.project ) ;
    this.projectInfo .setFather(this.project ) ;
    this.project.add(this.wsdls);
  }

  public void setProjectName(String name) {
    this.projectName.setValue(name);
  }

  public void setAtProjectDescription(String s) {
    this.projectDescription.setValue(s);
  }

  public void addWsdl(Metaset wsdl) {
    this.wsdls.add(wsdl);
    wsdl.setFather(this.wsdls ) ;
  }

  public Metaset getWsdls() {
    return this.project.filter(".\\wsdls").car();
  }

  public void write() {
    FileOutputStream f = null;
    try {
      f=new FileOutputStream(this.path );
      f.write("<?xml version=\"1.0\" encoding=\"gb2312\"?>".getBytes());
      f.write(this.project.toXML().getBytes());
    }
    catch (IOException ex1) {
    }
  }
}
