
package org.act.wsc.bpel4wsmodeling.projectdata.wsdl12define;
import java.util.List;
import java.util.Vector;

public class Combiner extends WSDLLabel implements IDerivedLabel {
    public static final String KIND_ALL="all";
    public static final String KIND_SEQUENCE="sequence";
    public static final String KIND_CHOICE="choice";
    
    String kind;    List elements=new Vector();
    
    
    public Combiner(String kind) {
        super();
        this.kind = kind;
    }
    
    public String getName() {
        this.labelName="";
        if(this.kind.equals("all")){
            this.labelName="all";
        }
        else if(this.kind.equals("sequence")){
            this.labelName="sequence";
        }
        else if(this.kind.equals("choice")){
            this.labelName="choice";
        }
        return this.labelName;
    }
    
    public boolean addChild(WSDLLabel childLabel) {
                return false;
    }
    
    public boolean removeChild(WSDLLabel childLabel) {
        if (childLabel instanceof ElementEx) {
            this.removeElement((ElementEx) childLabel);
            return true;
        }
        return false;
    }
    public void addElement(ElementEx elementEx){
        this.elements.add(elementEx);
        this.fireChildAdded(elementEx);
    }
    
    public void removeElement(ElementEx elementEx){
        if(this.elements.remove(elementEx)){
            this.fireChildRemoved(elementEx);
        }
    }
    
    
    
    public String getKind() {
        return kind;
    }
    
    public List getElements() {
        return elements;
    }
}
