
package org.act.wsc.bpel4wsmodeling.projectdata.wsdl12define;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.Vector;
import javax.wsdl.Port;
import javax.wsdl.Service;
import javax.wsdl.extensions.ExtensibilityElement;
import javax.xml.namespace.QName;
import org.w3c.dom.Element;

public class ServiceEx extends WSDLLabel implements IDerivedLabel ,Service{
    public static int timer=0;
    Service service;
    
    private QName name=null;
    private List extensibilityElements=new Vector();
    private Map ports=new HashMap();
    public static final String ATT_NAME = "name";
    
    public ServiceEx(Service service) {
        super();
        this.service = service;
    }
    
    public ServiceEx() {
        super();
            }
    
    public boolean addChild(WSDLLabel childLabel) {
        return false;
    }
    
    public boolean removeChild(WSDLLabel childLabel) {
        if(childLabel instanceof PortEx){
            this.removePort((PortEx) childLabel);
			return true;
		}
        return false;
    }
    
    public Service getService() {
        return service;
    }
   
    
    public void addExtensibilityElement(ExtensibilityElement extensibilityElement) {
        this.extensibilityElements.add(extensibilityElement);
        if (extensibilityElement instanceof ExtensibilityElementEx) {
            ExtensibilityElementEx new_name = (ExtensibilityElementEx) extensibilityElement;
            this.fireChildAdded(new_name);
        }
    }
    public void removeExtensibilityElement(ExtensibilityElement extensibilityElement) {
        if(this.extensibilityElements.remove(extensibilityElement)){
            if (extensibilityElement instanceof ExtensibilityElementEx) {
                ExtensibilityElementEx new_name = (ExtensibilityElementEx) extensibilityElement;
                this.fireChildAdded(new_name);
            }
        }
    }
    
    public void addPort(Port port) {
        this.ports.put(port.getName(),port);
        if (port instanceof PortEx) {
            PortEx new_name = (PortEx) port;
            this.fireChildAdded(new_name);
        }
    }
    public void removePort(Port port) {
        if(this.ports.remove(port.getName()).equals(port)){
            if (port instanceof PortEx) {
                PortEx new_name = (PortEx) port;
                this.fireChildRemoved(new_name);
            }
        }
    }
    
    public Element getDocumentationElement() {
                return null;
    }
    
    public List getExtensibilityElements() {
                return null;
    }
    
    public Port getPort(String portName) {
        
        return (Port) this.ports.get(portName);
    }
    
    public Map getPorts() {
       
        return this.ports;
    }
    
    public QName getQName() {
        if(this.name==null){
            this.name=definitionEx.StringToQName(this.getLabelName());
        }
        return this.name;
    }
    
    public void setDocumentationElement(Element arg0) {
                
    }
    
    public void setQName(QName name) {
        this.name=name;
        this.firePropertyChanged(this);
    }
    public void reName(String newName){
        if(newName==null){
            return;
        }
        QName oldQName=this.getQName();
        QName newQName=this.definitionEx.StringToQName(newName);
        
        if(!newQName.equals(oldQName)){
            this.setQName(newQName);
            this.definitionEx.services.remove(oldQName);
            this.definitionEx.services.put(newQName,this);
            this.fireChildRenamed(this);
        }
    }
    
    public String getName() {
        
        return this.definitionEx.QNameToString(this.getQName());
    }
    
    public Object getExtensionAttribute(QName arg0) {
                return null;
    }
    
    public Map getExtensionAttributes() {
                return null;
    }
    
    public List getNativeAttributeNames() {
                return null;
    }
    
    public void setExtensionAttribute(QName arg0, Object arg1) {
                
    }
}
