
package org.act.wsc.bpel4wsmodeling.projectdata.wsdl12define.view.popmenu;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.util.ResourceBundle;
import javax.swing.JMenuItem;
import org.act.wsc.bpel4wsmodeling.projectdata.wsdl12define.Combiner;
import org.act.wsc.bpel4wsmodeling.projectdata.wsdl12define.ElementEx;
import org.act.wsc.bpel4wsmodeling.projectdata.wsdl12define.WSDLLabel;
import org.act.wsc.bpel4wsmodeling.projectdata.wsdl12define.view.MyTreeNode;
import org.act.wsc.bpel4wsmodeling.view.resource.ResChoose;

public class CombinerRightMenu extends AbstractTreeRightMenu {
	
	  private ResourceBundle res = ResChoose.getLanguage();
    JMenuItem addElement=new JMenuItem(res.getString("CORM_AElement"));
  
    
    public CombinerRightMenu(MyTreeNode myTreeNode) {
        super(myTreeNode);
       
        this.add(this.addElement);
        this.addElement.addActionListener(new ActionListener(){
            public void actionPerformed(ActionEvent e) {
                WSDLLabel label=CombinerRightMenu.this.myTreeNode.getWsdlLabel();
                if (label instanceof Combiner) {
                	Combiner combiner = (Combiner) label;
                	ElementEx elementEx=(ElementEx)combiner.getDefinitionEx().createElement();
                	combiner.addElement(elementEx);
                }
            }});
     
        this.add(this.removeItem);
           
    }
}
