
package org.act.wsc.bpel4wsmodeling.projectdata.wsdl12define.view.popmenu;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.util.ResourceBundle;
import javax.swing.JMenuItem;
import javax.swing.JOptionPane;
import org.act.wsc.bpel4wsmodeling.projectdata.wsdl12define.MessageEx;
import org.act.wsc.bpel4wsmodeling.projectdata.wsdl12define.PartEx;
import org.act.wsc.bpel4wsmodeling.projectdata.wsdl12define.view.MyTreeNode;
import org.act.wsc.bpel4wsmodeling.view.gui.MainFrame;
import org.act.wsc.bpel4wsmodeling.view.resource.ResChoose;

public class MessageRightMenu extends AbstractTreeRightMenu {
	
	private ResourceBundle res = ResChoose.getLanguage();
    JMenuItem addPart=new JMenuItem(res.getString("MESRM_APart"));
    
    public MessageRightMenu(MyTreeNode myTreeNode) {
        super(myTreeNode);
        if(myTreeNode.getWsdlLabel() instanceof MessageEx){
            final MessageEx messageEx = (MessageEx) myTreeNode.getWsdlLabel();
            this.renameItem.addActionListener(new ActionListener(){
                public void actionPerformed(ActionEvent e) {
                    String newName=JOptionPane.showInputDialog(MainFrame.getmainFrame(),res.getString("MESRM_Newname"),res.getString("MESRM_Rename"),JOptionPane.QUESTION_MESSAGE);
                       messageEx.reName(newName);
                }});
            this.add(this.addPart);
            this.addPart.addActionListener(new ActionListener(){
                public void actionPerformed(ActionEvent e) {
                    
                        PartEx partEx=(PartEx)messageEx.getDefinitionEx().createPart();
                        messageEx.addPart(partEx);
                }
                }
            );
            this.add(this.renameItem);
        }
        
        this.add(this.removeItem);
    }
}
