
package org.act.wsc.bpel4wsmodeling.projectdata.wsdl12define.view.popmenu;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.util.ResourceBundle;
import javax.swing.JMenuItem;
import javax.swing.JOptionPane;
import org.act.wsc.bpel4wsmodeling.projectdata.wsdl12define.FaultEx;
import org.act.wsc.bpel4wsmodeling.projectdata.wsdl12define.InputEx;
import org.act.wsc.bpel4wsmodeling.projectdata.wsdl12define.OperationEx;
import org.act.wsc.bpel4wsmodeling.projectdata.wsdl12define.OutputEx;
import org.act.wsc.bpel4wsmodeling.projectdata.wsdl12define.WSDLLabel;
import org.act.wsc.bpel4wsmodeling.projectdata.wsdl12define.view.MyTreeNode;
import org.act.wsc.bpel4wsmodeling.view.gui.MainFrame;
import org.act.wsc.bpel4wsmodeling.view.resource.ResChoose;

public class OperationRightMenu extends AbstractTreeRightMenu {
	
	private ResourceBundle res = ResChoose.getLanguage();
    JMenuItem addInput=new JMenuItem(res.getString("OPERM_AInput"));
    JMenuItem addOutput=new JMenuItem(res.getString("OPERM_AOutput"));
    JMenuItem addFault=new JMenuItem(res.getString("OPERM_AFault"));
    
    public OperationRightMenu(MyTreeNode myTreeNode) {
        super(myTreeNode);
        this.renameItem.addActionListener(new ActionListener(){
            public void actionPerformed(ActionEvent e) {
                String newName=JOptionPane.showInputDialog(MainFrame.getmainFrame(),res.getString("OPERM_NewName"),res.getString("OPERM_Rename"),JOptionPane.QUESTION_MESSAGE);
                if (OperationRightMenu.this.myTreeNode.getWsdlLabel() instanceof OperationEx) {
                	OperationEx operationEx = (OperationEx) OperationRightMenu.this.myTreeNode.getWsdlLabel();
                	operationEx.reName(newName);
                }
            }});
       this.add(this.addInput);
        this.addInput.addActionListener(new ActionListener(){
            public void actionPerformed(ActionEvent e) {
                WSDLLabel label=OperationRightMenu.this.myTreeNode.getWsdlLabel();
                if (label instanceof OperationEx) {
                	OperationEx operationEx = (OperationEx) label;
                    InputEx inputEx=(InputEx)operationEx.getDefinitionEx().createInput();
                    operationEx.addInput(inputEx);
                }
            }});
        
       this.add(this.addOutput);
        this.addOutput.addActionListener(new ActionListener(){
            public void actionPerformed(ActionEvent e) {
                WSDLLabel label=OperationRightMenu.this.myTreeNode.getWsdlLabel();
                if (label instanceof OperationEx) {
                	OperationEx operationEx = (OperationEx) label;
                    OutputEx outputEx=(OutputEx)operationEx.getDefinitionEx().createOutput();
                    operationEx.addOutput(outputEx);
                }
            }});
        
        this.add(this.addFault);
        this.addFault.addActionListener(new ActionListener(){
            public void actionPerformed(ActionEvent e) {
                WSDLLabel label=OperationRightMenu.this.myTreeNode.getWsdlLabel();
                if (label instanceof OperationEx) {
                	OperationEx operationEx = (OperationEx) label;
                	FaultEx faultEx=(FaultEx)operationEx.getDefinitionEx().createFault();
                    operationEx.addFault(faultEx);
                }
            }});
        
        
        this.add(this.renameItem);
        this.add(this.removeItem);
    }
}
