
package org.act.wsc.bpel4wsmodeling.projectdata.wsdl12define.view.popmenu;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.util.Iterator;
import java.util.List;
import java.util.ResourceBundle;
import java.util.Vector;
import javax.swing.JMenuItem;
import org.act.wsc.bpel4wsmodeling.projectdata.wsdl12define.MessageEx;
import org.act.wsc.bpel4wsmodeling.projectdata.wsdl12define.OutputEx;
import org.act.wsc.bpel4wsmodeling.projectdata.wsdl12define.view.MyTreeNode;
import org.act.wsc.bpel4wsmodeling.projectdata.wsdl12define.view.propertyeditor.PropertyEditorFactory;
import org.act.wsc.bpel4wsmodeling.view.resource.ResChoose;

public class OutputRightMenu extends AbstractTreeRightMenu {
	
	private ResourceBundle res = ResChoose.getLanguage();
    JMenuItem setMessage = new JMenuItem(res.getString("OUTRM_SetMessage"));
    private JMenuItem setName=new JMenuItem(res.getString("OUTRM_SetName"));
    
    public OutputRightMenu(MyTreeNode myTreeNode) {
        super(myTreeNode);
        if (OutputRightMenu.this.myTreeNode.getWsdlLabel() instanceof OutputEx) {
            final OutputEx outputEx = (OutputEx) OutputRightMenu.this.myTreeNode
                    .getWsdlLabel();
            this.setName.addActionListener(new ActionListener(){
                public void actionPerformed(ActionEvent e) {
                    String initialV=outputEx.getName();
                    String result=PropertyEditorFactory.showEditor(OutputEx.ATT_NAME+": ",res.getString("OUTRM_Set")+OutputEx.ATT_NAME,initialV);
                    if (result!=null) {
                        outputEx.setName(result);
                    }
                    
                }});
            this.add(setName);
            
            this.setMessage.addActionListener(new ActionListener() {
                public void actionPerformed(ActionEvent e) {
                    List options = new Vector();
                    for (Iterator iter = outputEx.getDefinitionEx()
                            .getMessages().values().iterator(); iter.hasNext();) {
                        MessageEx element = (MessageEx) iter.next();
                        options.add(outputEx.getDefinitionEx().QNameToString(element.getQName()));
                    }
                    String initialV = null;
                    if (outputEx.getMessage() != null) {
                        initialV = outputEx.getDefinitionEx().QNameToString(outputEx.getMessage()
                                .getQName());
                    }
                    String message = PropertyEditorFactory.showEditor( OutputEx.ATT_MESSAGE + ": ", res.getString("OUTRM_Set")
                            + OutputEx.ATT_MESSAGE, initialV, options);
                    outputEx.setMessage(outputEx.getDefinitionEx().getMessage(outputEx.getDefinitionEx().StringToQName(message)));
                }
            });
            this.add(setMessage);
         }
        this.add(this.removeItem);
    }
}
