
package org.act.wsc.bpel4wsmodeling.projectdata.wsdl12define.view.popmenu;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.util.List;
import java.util.ResourceBundle;
import java.util.Vector;
import javax.swing.JMenuItem;
import org.act.wsc.bpel4wsmodeling.projectdata.wsdl12define.SOAPBinding;
import org.act.wsc.bpel4wsmodeling.projectdata.wsdl12define.view.MyTreeNode;
import org.act.wsc.bpel4wsmodeling.projectdata.wsdl12define.view.propertyeditor.PropertyEditorFactory;
import org.act.wsc.bpel4wsmodeling.view.resource.ResChoose;

public class SOAPBindingRightMenu extends AbstractTreeRightMenu {
	private ResourceBundle res = ResChoose.getLanguage();
   JMenuItem setStyle=new JMenuItem(res.getString("SOAPBIRM_SetStyle"));
   JMenuItem setTransport=new JMenuItem(res.getString("SOAPBIRM_SetTransport"));
    
    public SOAPBindingRightMenu(MyTreeNode myTreeNode) {
        super(myTreeNode);
        if (myTreeNode.getWsdlLabel() instanceof SOAPBinding) {
            final SOAPBinding binding = (SOAPBinding) myTreeNode.getWsdlLabel();
            
            this.setStyle.addActionListener(new ActionListener(){
                
                public void actionPerformed(ActionEvent e) {
                    String initialV=binding.getStyle();
                    List options=new Vector();
                    options.add("rpc");
                    options.add("document");
                    String result=PropertyEditorFactory.showEditor(SOAPBinding.ATT_STYLE+": ",res.getString("SOAPBIRM_Set")+SOAPBinding.ATT_STYLE,initialV,options);
                    if (result!=null) {
                        binding.setStyle(result);
                    }
                }});
            this.add(setStyle);
            
            this.setTransport.addActionListener(new ActionListener(){
                
                public void actionPerformed(ActionEvent e) {
                    String initialV=binding.getTransport();
                    String result=PropertyEditorFactory.showEditor(SOAPBinding.ATT_TRAN+": ",res.getString("SOAPBIRM_Set")+SOAPBinding.ATT_TRAN,initialV);
                    if (result!=null) {
                        binding.setTransport(result);
                    }
                    
                }});
            this.add(setTransport);
        }
               this.add(this.removeItem);
    }
}
