
package org.act.wsc.bpel4wsmodeling.projectdata.wsdl12define.view.popmenu;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.util.List;
import java.util.ResourceBundle;
import java.util.Vector;
import javax.swing.JMenuItem;
import org.act.wsc.bpel4wsmodeling.projectdata.wsdl12define.SOAPOperation;
import org.act.wsc.bpel4wsmodeling.projectdata.wsdl12define.view.MyTreeNode;
import org.act.wsc.bpel4wsmodeling.projectdata.wsdl12define.view.propertyeditor.PropertyEditorFactory;
import org.act.wsc.bpel4wsmodeling.view.resource.ResChoose;

public class SOAPOperationRightMenu extends AbstractTreeRightMenu {
	
	private ResourceBundle res = ResChoose.getLanguage();
   JMenuItem setStyle=new JMenuItem(res.getString("SOAPORM_SetStyle"));
   JMenuItem setTransport=new JMenuItem(res.getString("SOAPORM_SetSoapAction"));
    
    public SOAPOperationRightMenu(MyTreeNode myTreeNode) {
        super(myTreeNode);
        if (myTreeNode.getWsdlLabel() instanceof SOAPOperation) {
            final SOAPOperation operation = (SOAPOperation) myTreeNode.getWsdlLabel();
            
            this.setStyle.addActionListener(new ActionListener(){
                
                public void actionPerformed(ActionEvent e) {
                    String initialV=operation.getStyle();
                    List options=new Vector();
                    options.add("rpc");
                    options.add("document");
                    String result=PropertyEditorFactory.showEditor(SOAPOperation.ATT_STYLE+": ",res.getString("SOAPORM_Set")+SOAPOperation.ATT_STYLE,initialV,options);
                    if(result!=null){
                        operation.setStyle(result);
                    }
                }});
            this.add(setStyle);
            
            this.setTransport.addActionListener(new ActionListener(){
                
                public void actionPerformed(ActionEvent e) {
                    String initialV=operation.getSoapAction();
                    String result=PropertyEditorFactory.showEditor(SOAPOperation.ATT_ACTION+": ",res.getString("SOAPORM_Set")+SOAPOperation.ATT_ACTION,initialV);
                    if(result!=null){
                        operation.setSoapAction(result);
                    }
                }});
            this.add(setTransport);
        }
        
               this.add(this.removeItem);
    }
}
