
package org.act.wsc.bpel4wsmodeling.projectdata.wsdl12define.view.popmenu;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.util.ResourceBundle;
import javax.swing.JMenuItem;
import javax.swing.JOptionPane;
import org.act.wsc.bpel4wsmodeling.projectdata.wsdl12define.PortEx;
import org.act.wsc.bpel4wsmodeling.projectdata.wsdl12define.ServiceEx;
import org.act.wsc.bpel4wsmodeling.projectdata.wsdl12define.WSDLLabel;
import org.act.wsc.bpel4wsmodeling.projectdata.wsdl12define.view.MyTreeNode;
import org.act.wsc.bpel4wsmodeling.view.gui.MainFrame;
import org.act.wsc.bpel4wsmodeling.view.resource.ResChoose;

public class ServiceRightMenu extends AbstractTreeRightMenu {
	private ResourceBundle res = ResChoose.getLanguage();
	
    JMenuItem addPort=new JMenuItem(res.getString("SERM_APort"));
    
    public ServiceRightMenu(MyTreeNode myTreeNode) {
        super(myTreeNode);
        this.renameItem.addActionListener(new ActionListener(){
            public void actionPerformed(ActionEvent e) {
                String newName=JOptionPane.showInputDialog(MainFrame.getmainFrame(),res.getString("SERM_NewName"),res.getString("SERM_Rename"),JOptionPane.QUESTION_MESSAGE);
                if (ServiceRightMenu.this.myTreeNode.getWsdlLabel() instanceof ServiceEx) {
                	ServiceEx serviceEx = (ServiceEx) ServiceRightMenu.this.myTreeNode.getWsdlLabel();
                	serviceEx.reName(newName);
                }
            }});
        this.add(this.addPort);
        this.addPort.addActionListener(new ActionListener(){
            public void actionPerformed(ActionEvent e) {
            	
            	
                WSDLLabel label=ServiceRightMenu.this.myTreeNode.getWsdlLabel();
               if (label instanceof ServiceEx) {
                	ServiceEx serviceEx = (ServiceEx) label;
                   PortEx portEx=(PortEx)serviceEx.getDefinitionEx().createPort();
                   serviceEx.addPort(portEx);
               }
            }
            }
    );
        
       
        
        
        this.add(this.renameItem);
        this.add(this.removeItem);
    }
}
