package org.act.wsc.bpel4wsmodeling.view.action;
import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;
import org.act.wsc.bpel4wsmodeling.utils.Print;
import org.act.wsc.bpel4wsmodeling.utils.WSFilter;
import javax.swing.JFileChooser;
import org.act.wsc.bpel4wsmodeling.view.gui.NavigationPane;
import java.io.File;
import java.util.ResourceBundle;
import org.act.wsc.bpel4wsmodeling.view.gui.MainFrame;
import org.act.wsc.bpel4wsmodeling.view.resource.ResChoose;
import org.act.wsc.bpel4wsmodeling.projectdata.Project;
//<p></p><p></p><p></p><p></p>
public class ImportLocalWSDLAction implements ActionListener {
	ResourceBundle res = ResChoose.getLanguage();
    Project project;
    public ImportLocalWSDLAction(Project proj) {
        this.project = proj;
    }
    
    public void actionPerformed(ActionEvent e) {
        WSFilter filter = new WSFilter();
        filter.addExtension("wsdl");
        filter.setDescription(res.getString("importWsdlFile"));
                JFileChooser fileChooser = new JFileChooser(System
                .getProperty("user.dir"));
        fileChooser.setFileFilter(filter);
        int state = fileChooser.showOpenDialog(MainFrame.getmainFrame());
        File file = fileChooser.getSelectedFile();
        if (state == JFileChooser.APPROVE_OPTION) {
                        String wsdlFileName = fileChooser.getSelectedFile()
                    .getAbsolutePath();
                        if (this.project.importWSDL("local", wsdlFileName)) {                Print.showMessage(res.getString("lacalWsdl") +" "+ wsdlFileName +" " +res.getString("imported"));    
            }
            else{
                Print.showMessage(res.getString("lacalWsdl")+" "+wsdlFileName+" "+res.getString("import_fail"),Print.MESSAGE_TYPE_ERROR);
            }
        }
    }
}
