
package org.act.wsc.bpel4wsmodeling.view.graphic;
import java.awt.event.MouseEvent;
import java.util.ResourceBundle;
import javax.swing.JOptionPane;
import org.act.wsc.bpel4wsmodeling.debug.engine.WSWF;
import org.act.wsc.bpel4wsmodeling.def.process.Activity;
import org.act.wsc.bpel4wsmodeling.projectdata.process.DataFactory;
import org.act.wsc.bpel4wsmodeling.projectdata.process.Figure;
import org.act.wsc.bpel4wsmodeling.projectdata.process.JoinendFigure;
import org.act.wsc.bpel4wsmodeling.projectdata.process.MetaFigure;
import org.act.wsc.bpel4wsmodeling.projectdata.process.SequenceFigure;
import org.act.wsc.bpel4wsmodeling.view.gui.MainFrame;
import org.act.wsc.bpel4wsmodeling.view.resource.ResChoose;

public class InsertReleaser extends AReleaser {
	ResourceBundle res = ResChoose.getLanguage();
    
    public InsertReleaser(FigureViewer myViewer) {
        super(myViewer);
            }
    
    void releasedAction(MouseEvent e) {
        Figure newFigure = DataFactory.createFigureByType(MainFrame
                .getmainFrame().editPane.toolBar.getFigureType());
        if (newFigure == null) {
            return;
        }
        Figure figure = this.myViewer.getFigure();
        String debugId = null;
                                                                if (figure instanceof MetaFigure) {
            if (((MetaFigure) figure).getParent() instanceof SequenceFigure) {
                                SequenceFigure sequenceFigure = (SequenceFigure) ((MetaFigure) figure)
                        .getParent();
                if(figure.getOwner().isInDebug()){
                    debugId =((Activity)sequenceFigure.getServicesSet()).getAtDebugIdValue();
                    if (!WSWF.inStack(debugId)) {
                        JOptionPane.showMessageDialog(MainFrame.getmainFrame(),
                        		res.getString("cannotAddremoveactivity"), res.getString("warning"), JOptionPane.ERROR_MESSAGE);
                        return;
                    }
                }
                if (newFigure != null) {
                    newFigure.setOwner(figure.getOwner());                    sequenceFigure.addFigure(figure, newFigure);
                    if (figure.getOwner().isInDebug()) {
                        WSWF.replace(sequenceFigure.getServicesSet(),debugId);
                    }
                }
            }
        } else {
            if (figure instanceof JoinendFigure) {
                if (((JoinendFigure) figure).getParent().getParent() instanceof SequenceFigure) {
                    SequenceFigure sequenceFigure = (SequenceFigure) ((JoinendFigure) figure)
                            .getParent().getParent();
                    if(figure.getOwner().isInDebug()){
                        debugId =((Activity)sequenceFigure.getServicesSet()).getAtDebugIdValue();
                        if (!WSWF.inStack(debugId)) {
                            JOptionPane.showMessageDialog(MainFrame.getmainFrame(),
                            		res.getString("cannotAddremoveactivity"), res.getString("warning"), JOptionPane.ERROR_MESSAGE);
                            return;
                        }
                    }
                    if (newFigure != null) {
                        newFigure.setOwner(figure.getOwner());                        sequenceFigure.addFigure(figure, newFigure);
                        if (figure.getOwner().isInDebug()) {
                            WSWF.replace(sequenceFigure.getServicesSet(),debugId);
                        }
                    }
                }
            } else if (figure instanceof SequenceFigure) {
                SequenceFigure sequenceFigure = (SequenceFigure)figure;
                if(figure.getOwner().isInDebug()){
                    debugId =((Activity)sequenceFigure.getServicesSet()).getAtDebugIdValue();
                    if (!WSWF.inStack(debugId)) {
                        JOptionPane.showMessageDialog(MainFrame.getmainFrame(),
                        		res.getString("cannotAddremoveactivity"), res.getString("warning"), JOptionPane.ERROR_MESSAGE);
                        return;
                    }
                }
                if (newFigure != null) {
                    newFigure.setOwner(figure.getOwner());                    ((SequenceFigure) figure).addFigure(figure, newFigure);
                    if (figure.getOwner().isInDebug()) {
                        WSWF.replace(sequenceFigure.getServicesSet(),debugId);
                    }
                }
            }
        }
       
    }
}
