
package org.act.wsc.bpel4wsmodeling.view.graphic;
import java.awt.Graphics;
import java.awt.Point;
import java.util.ArrayList;
import java.util.List;
import org.act.wsc.bpel4wsmodeling.projectdata.process.Line;
import org.act.wsc.bpel4wsmodeling.projectdata.process.StructFigure;

public class LineViewer implements ILineViewer{
	private Line line=null;
	
		public LineViewer(StructFigure structFigure){
	}
	
	public LineViewer(Line line) {
		super();
		this.line = line;
	}
	public void draw(Graphics g) {
		for(int i=0;i<line.getPoints().size()-1;i++){
			Point p1=(Point) line.getPoints().get(i);
			Point p2=(Point) line.getPoints().get(i+1);
			g.drawLine(p1.x,p1.y,p2.x,p2.y);
			if(i==line.getPoints().size()-2){				g.drawLine(p2.x-3,p2.y-4,p2.x,p2.y);
				g.drawLine(p2.x+3,p2.y-4,p2.x,p2.y);
			}
		}
	}
	
	protected Line getLine() {
		return line;
	}
	
	protected void setLine(Line line) {
		this.line = line;
	}
}
