
package org.act.wsc.bpel4wsmodeling.view.graphic;
import java.awt.event.MouseEvent;
import java.util.ResourceBundle;
import javax.swing.JOptionPane;
import org.act.metaset.Metaset;
import org.act.wsc.bpel4wsmodeling.debug.engine.WSWF;
import org.act.wsc.bpel4wsmodeling.def.process.Activity;
import org.act.wsc.bpel4wsmodeling.def.process.Case;
import org.act.wsc.bpel4wsmodeling.def.process.OnAlarm;
import org.act.wsc.bpel4wsmodeling.def.process.OnMessage;
import org.act.wsc.bpel4wsmodeling.def.process.OtherWise;
import org.act.wsc.bpel4wsmodeling.projectdata.process.DataFactory;
import org.act.wsc.bpel4wsmodeling.projectdata.process.Figure;
import org.act.wsc.bpel4wsmodeling.projectdata.process.NominalFigure;
import org.act.wsc.bpel4wsmodeling.view.gui.MainFrame;
import org.act.wsc.bpel4wsmodeling.view.resource.ResChoose;

public class ReplacceReleaser extends AReleaser {
	ResourceBundle res = ResChoose.getLanguage();
    
    public ReplacceReleaser(FigureViewer myViewer) {
        super(myViewer);
            }
    
    void releasedAction(MouseEvent e) {
        Figure newFigure = DataFactory.createFigureByType(MainFrame
                .getmainFrame().editPane.toolBar.getFigureType());
        if (newFigure == null) {
            return;
        }
        Figure figure = this.myViewer.getFigure();
                                                        if (figure instanceof NominalFigure) {
            Metaset metaset=null;
            String debugId = null;
            if (figure.getOwner().isInDebug()) {
                metaset=figure.getParent().getServicesSet();
                if(metaset instanceof Activity){
                    debugId=((Activity)metaset).getAtDebugIdValue();
                }
                else if(metaset instanceof Case){
                    debugId=((Case)metaset).getAtDebugIdValue();
                }
                else if(metaset instanceof OtherWise){
                    debugId=((OtherWise)metaset).getAtDebugIdValue();
                }
                else if(metaset instanceof OnAlarm){
                    debugId=((OnAlarm)metaset).getAtDebugIdValue();
                }
                else if(metaset instanceof OnMessage){
                    debugId=((OnMessage)metaset).getAtDebugIdValue();
                }
                                if (debugId!=null&&!WSWF.inStack(debugId)) {
                    JOptionPane.showMessageDialog(MainFrame.getmainFrame(),
                    		res.getString("cannotAddremoveactivity"), res.getString("warning"), JOptionPane.ERROR_MESSAGE);
                    return;
                }
            }
            ((NominalFigure) figure).replaced(newFigure);
            if (figure.getOwner().isInDebug()) {
                WSWF.replace(metaset,debugId);
            }
        }
        
    }
}
