
package org.act.wsc.bpel4wsmodeling.view.graphic.rightbuttonmenu;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.util.ResourceBundle;
import javax.swing.JMenuItem;
import javax.swing.JOptionPane;
import org.act.wsc.bpel4wsmodeling.debug.engine.WSWF;
import org.act.wsc.bpel4wsmodeling.def.process.Activity;
import org.act.wsc.bpel4wsmodeling.projectdata.process.CaseFigure;
import org.act.wsc.bpel4wsmodeling.projectdata.process.Figure;
import org.act.wsc.bpel4wsmodeling.projectdata.process.OtherwiseFigure;
import org.act.wsc.bpel4wsmodeling.projectdata.process.SwitchFigure;
import org.act.wsc.bpel4wsmodeling.view.gui.MainFrame;
import org.act.wsc.bpel4wsmodeling.view.resource.ResChoose;

public class SwitchRightMenu extends AbstractRightMenu {
	 
	 ResourceBundle res = ResChoose.getLanguage();
	private JMenuItem addCaseItem=new JMenuItem(res.getString("addCase"));
	private JMenuItem addOtherwiseItem=new JMenuItem(res.getString("addOtherwise"));
	
	public SwitchRightMenu(Figure f) {
		super(f);
		this.addSeparator();
		this.add(this.addCaseItem);
		this.add(this.addOtherwiseItem);
		if(((SwitchFigure)figure).getOtherwiseCount()==1){
			this.addOtherwiseItem.setEnabled(false);
		}
		this.addCaseItem.addActionListener(new ActionListener(){		
			public void actionPerformed(ActionEvent e) {
			    String debugId=null;
			    if (figure.getOwner().isInDebug()&&figure.getServicesSet() instanceof Activity) {
                    Activity activity = (Activity) figure.getServicesSet();
                    debugId=activity.getAtDebugIdValue();
                                        if(!WSWF.inStack(debugId)){
                        JOptionPane.showMessageDialog(MainFrame.getmainFrame(),res.getString("cannotAddremoveactivity"),res.getString("warning"),JOptionPane.ERROR_MESSAGE);;
                        return;
                    }
                }
				CaseFigure caseFigure=new CaseFigure();
				((SwitchFigure) SwitchRightMenu.this.figure).addFigure(caseFigure);
								if(figure.getOwner().isInDebug()){
				    WSWF.replace(figure.getServicesSet(),debugId);
				}
			}
			
		});
		this.addOtherwiseItem.addActionListener(new ActionListener(){		
			public void actionPerformed(ActionEvent e) {
			    String debugId=null;
			    if (figure.getOwner().isInDebug()&&figure.getServicesSet() instanceof Activity) {
                    Activity activity = (Activity) figure.getServicesSet();
                    debugId=activity.getAtDebugIdValue();
                                        if(!WSWF.inStack(debugId)){
                        JOptionPane.showMessageDialog(MainFrame.getmainFrame(),res.getString("cannotAddremoveactivity"),res.getString("warning"),JOptionPane.ERROR_MESSAGE);;
                        return;
                    }
                }
			    OtherwiseFigure otherwiseFigure=new OtherwiseFigure();
				((SwitchFigure) SwitchRightMenu.this.figure).addFigure(otherwiseFigure);
				if(figure.getOwner().isInDebug()){
				    WSWF.replace(figure.getServicesSet(),debugId);
				}
			}	
		});
	}
}
