package org.act.wsc.bpel4wsmodeling.view.graphic.table;
import java.util.*;
import java.awt.*;
import javax.swing.*;
import javax.swing.table.*;
//<p></p><p></p><pre></pre><p></p>
public class EachRowRenderer implements TableCellRenderer{
  
  protected Hashtable renderers;
  
  protected TableCellRenderer renderer;
  
  protected TableCellRenderer defaultRenderer;
  
  public EachRowRenderer() {
    renderers = new Hashtable();
    defaultRenderer = new DefaultTableCellRenderer();
  }
  public void add(int row, TableCellRenderer renderer) {
    renderers.put(new Integer(row),renderer);
  }
  public Component getTableCellRendererComponent(JTable table,
      Object value, boolean isSelected, boolean hasFocus,
                                      int row, int column) {
    renderer = (TableCellRenderer)renderers.get(new Integer(row));
    if (renderer == null) {
      renderer = defaultRenderer;
    }
    return renderer.getTableCellRendererComponent(table,
             value, isSelected, hasFocus, row, column);
  }
}
