
package org.act.wsc.bpel4wsmodeling.view.gui;
import javax.swing.JDialog;
import javax.swing.JLabel;
import java.awt.*;
import javax.swing.*;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.event.WindowListener;
import java.awt.event.WindowEvent;
import java.util.ResourceBundle;
import javax.swing.border.TitledBorder;
import org.act.wsc.bpel4wsmodeling.resource.ResourceManager;
import org.act.wsc.bpel4wsmodeling.resource.StandardIamge;
import org.act.wsc.bpel4wsmodeling.view.resource.ResChoose;
public class AboutDialog extends JDialog {
    public AboutDialog() {
        super(MainFrame.getmainFrame());
        try {
            jbInit();
        } catch (Exception ex) {
            ex.printStackTrace();
        }
        this.addWindowListener(new WindowListener(){
            public void windowActivated(WindowEvent e) {
            }
            public void windowClosed(WindowEvent e) {
            }
            public void windowClosing(WindowEvent e) {
                AboutDialog.this.dispose();;
            }
            public void windowDeactivated(WindowEvent e) {
            }
            public void windowDeiconified(WindowEvent e) {
            }
            public void windowIconified(WindowEvent e) {
            }
            public void windowOpened(WindowEvent e) {
            }
        });
    }
    
    
    ResourceBundle res = ResChoose.getLanguage();
    
    
    private void jbInit() throws Exception {
        this.setTitle(res.getString("aboutWSWFDesigner"));
        this.getContentPane().setLayout(gridBagLayout1);
        jLabel1.setFont(new java.awt.Font("Dialog", Font.BOLD | Font.ITALIC, 14));
        jLabel1.setText("Orientware Web Service Workflow Designer v2.0");
        jLabel2.setFont(new java.awt.Font("Dialog", Font.PLAIN, 13));
        jLabelPic.setText("");
        ImageIcon image=ResourceManager.getImage(StandardIamge.ABOUT);
        jLabelPic.setIcon(image);
        jLabelPic.setSize(image.getIconWidth(),image.getIconHeight());
        jButton.setBackground(SystemColor.desktop);
        jButton.setBorder(BorderFactory.createEtchedBorder());
        jButton.setDebugGraphicsOptions(DebugGraphics.NONE_OPTION);
        jButton.setSelected(true);
        jButton.setText(res.getString("aboutDialog_yes"));
        jButton.addActionListener(new AboutDialog_jButton_actionAdapter(this));
        this.getContentPane().setBackground(Color.white);
        this.setDefaultCloseOperation(javax.swing.WindowConstants.
                                      DISPOSE_ON_CLOSE);
        this.setModal(true);
        this.getContentPane().add(jButton,
                                  new GridBagConstraints(0, 3, 1, 1, 0.0, 0.0
                , GridBagConstraints.CENTER, GridBagConstraints.NONE,
                new Insets(14, 154, 17, 154), 46, 4));
        this.getContentPane().add(jLabel2,
                                  new GridBagConstraints(0, 2, 1, 1, 0.0, 0.0
                , GridBagConstraints.WEST, GridBagConstraints.NONE,
                new Insets(10, 14, 0, 28), 137, 11));
        this.getContentPane().add(jLabel1,
                                  new GridBagConstraints(0, 1, 1, 1, 0.0, 0.0
                , GridBagConstraints.WEST, GridBagConstraints.NONE,
                new Insets(6, 14, 0, 6), 23, 14));
        this.getContentPane().add(jLabelPic,
                                  new GridBagConstraints(0, 0, 1, 1, 0.0, 0.0
                , GridBagConstraints.WEST, GridBagConstraints.NONE,
                new Insets(41, 60, 0, 59), 0, 0));
        jLabel2.setHorizontalAlignment(SwingConstants.CENTER);
        jLabel2.setText(res.getString("author(c)"));
        this.setSize(400,300);
        this.setLocation( (MainFrame.getmainFrame().getWidth() -
                this.getWidth()) /
              2,
              (MainFrame.getmainFrame().getHeight() -
               this.getHeight()) /
              2);
    }
    JLabel jLabel1 = new JLabel();
    JLabel jLabel2 = new JLabel();
    JLabel jLabelPic = new JLabel();
    JButton jButton = new JButton();
    TitledBorder titledBorder1 = new TitledBorder("");
    GridBagLayout gridBagLayout1 = new GridBagLayout();
    public void jButton_actionPerformed(ActionEvent e) {
        this.dispose();
    }
}
class AboutDialog_jButton_actionAdapter implements ActionListener {
    private AboutDialog adaptee;
    AboutDialog_jButton_actionAdapter(AboutDialog adaptee) {
        this.adaptee = adaptee;
    }
    public void actionPerformed(ActionEvent e) {
        adaptee.jButton_actionPerformed(e);
    }
}
