package org.act.wsc.bpel4wsmodeling.view.gui;
import java.awt.*;
import javax.swing.*;
import javax.swing.tree.*;
//<p></p><p></p><p></p><p></p>
public class IconNodeRenderer extends DefaultTreeCellRenderer {
  public Component getTreeCellRendererComponent(JTree tree, Object value,
      boolean sel, boolean expanded, boolean leaf,
      int row, boolean hasFocus) {
    super.getTreeCellRendererComponent(tree, value,
       sel, expanded, leaf, row, hasFocus);
    Icon openIcon = ((IconNode)value).getOpenIcon();
    Icon closedIcon = ((IconNode)value).getClosedIcon();
    Icon icon = ((IconNode)value).getIcon();
    if(openIcon!=null){
      setOpenIcon(openIcon);
    }
    if(closedIcon!=null){
      setClosedIcon(closedIcon);
    }
    if(icon!=null){
      setIcon(icon);
    }
    return this;
  }
}
