package org.act.wsc.bpel4wsmodeling.view.processassist;
import java.awt.BorderLayout;
import java.awt.Dimension;
import java.awt.Rectangle;
import java.awt.event.ActionEvent;
import java.util.Iterator;
import java.util.List;
import javax.swing.ButtonGroup;
import javax.swing.JButton;
import javax.swing.JComboBox;
import javax.swing.JDialog;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JRadioButton;
import javax.swing.JTextField;
import javax.wsdl.Message;
import javax.wsdl.Part;
import org.act.metaset.Attribute;
import org.act.metaset.utils.MetasetUtil;
import org.act.wsc.bpel4wsmodeling.def.process.Assign;
import org.act.wsc.bpel4wsmodeling.def.process.BPELProcess;
import org.act.wsc.bpel4wsmodeling.def.process.Copy;
import org.act.wsc.bpel4wsmodeling.def.process.From;
import org.act.wsc.bpel4wsmodeling.def.process.To;
import org.act.wsc.bpel4wsmodeling.def.process.Variable;
import org.act.wsc.bpel4wsmodeling.def.process.Variables;
import org.act.wsc.bpel4wsmodeling.projectdata.process.Figure;
import org.act.wsc.bpel4wsmodeling.view.gui.MainFrame;

public class AssignDialog extends JDialog {
    JPanel jPanel1 = new JPanel();
    JLabel jLabelFrom = new JLabel();
    JLabel jLabelTo = new JLabel();
    JLabel jLabelFromVar = new JLabel();
    JLabel jLabelFromPart = new JLabel();
    JLabel jLabelToVariable = new JLabel();
    JLabel jLabelToPart = new JLabel();
    JComboBox jComboBoxFromVar = new JComboBox();
    JComboBox jComboBoxFromPart = new JComboBox();
    JComboBox jComboBoxToVar = new JComboBox();
    JComboBox jComboBoxToPart = new JComboBox();
    JButton jButtonOk = new JButton();
    JButton jButtonCancel = new JButton();
    Figure figure;
    Assign assign;
    BPELProcess process;
    Copy copy = null;
    ButtonGroup buttonGroup1 = new ButtonGroup();
    JRadioButton jRadioButtonVariable = new JRadioButton();
    JRadioButton jRadioButtonExpression = new JRadioButton();
    JTextField jTextFieldExp = new JTextField();
    JLabel jLabelFromExp = new JLabel();
    public AssignDialog(Figure f) {
        super(MainFrame.getmainFrame(), true);
        this.figure = f;
        this.assign = (Assign) f.getServicesSet();
        this.process = f.getOwner().getBPELProcess();
        try {
            jbInit();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
    private void jbInit() throws Exception {
        jLabelFrom.setText("From");
        jLabelFrom.setBounds(new Rectangle(22, 30, 43, 16));
        jPanel1.setLayout(null);
        jLabelTo.setBounds(new Rectangle(23, 190, 43, 16));
        jLabelTo.setText("To");
        jLabelFromVar.setText("Variable");
        jLabelFromVar.setBounds(new Rectangle(76, 61, 53, 16));
        jLabelFromPart.setBounds(new Rectangle(242, 60, 53, 16));
        jLabelFromPart.setText("Part");
        jLabelToVariable.setBounds(new Rectangle(76, 192, 53, 16));
        jLabelToVariable.setText("Variable");
        jLabelToPart.setBounds(new Rectangle(242, 192, 53, 16));
        jLabelToPart.setText("Part");
        jComboBoxFromVar.setBounds(new Rectangle(76, 76, 112, 21));
        jComboBoxFromVar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(ActionEvent e) {
                jComboBoxFromVar_actionPerformed(e);
            }
        });
        jComboBoxFromPart.setBounds(new Rectangle(242, 74, 112, 21));
        jComboBoxFromPart
                .addActionListener(new java.awt.event.ActionListener() {
                    public void actionPerformed(ActionEvent e) {
                        jComboBoxFromPart_actionPerformed(e);
                    }
                });
        jComboBoxToVar.setBounds(new Rectangle(76, 209, 112, 21));
        jComboBoxToVar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(ActionEvent e) {
                jComboBoxToVar_actionPerformed(e);
            }
        });
        jComboBoxToPart.setBounds(new Rectangle(242, 208, 112, 21));
        jComboBoxToPart.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(ActionEvent e) {
                jComboBoxToPart_actionPerformed(e);
            }
        });
        jButtonOk.setBounds(new Rectangle(195, 271, 73, 20));
        jButtonOk.setText("OK");
        jButtonOk.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(ActionEvent e) {
                jButtonOk_actionPerformed(e);
            }
        });
        jButtonCancel.setText("Cancel");
        jButtonCancel.setBounds(new Rectangle(297, 271, 77, 20));
        jButtonCancel.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(ActionEvent e) {
                jButtonCancel_actionPerformed(e);
            }
        });
        jRadioButtonVariable.setText("Variable");
        jRadioButtonVariable.setBounds(new Rectangle(73, 28, 91, 25));
        jRadioButtonVariable
                .addActionListener(new java.awt.event.ActionListener() {
                    public void actionPerformed(ActionEvent e) {
                        jRadioButtonVariable_actionPerformed(e);
                    }
                });
        jRadioButtonVariable.setSelected(true);
        jRadioButtonExpression.setBounds(new Rectangle(179, 30, 91, 25));
        jRadioButtonExpression
                .addActionListener(new java.awt.event.ActionListener() {
                    public void actionPerformed(ActionEvent e) {
                        jRadioButtonExpression_actionPerformed(e);
                    }
                });
        this.jTextFieldExp.setEnabled(false);
        jRadioButtonExpression.setText("Expression");
        jTextFieldExp.setBounds(new Rectangle(74, 127, 280, 19));
        jLabelFromExp.setBounds(new Rectangle(74, 108, 78, 16));
        jLabelFromExp.setText("Expression");
        this.getContentPane().add(jPanel1, BorderLayout.CENTER);
        jPanel1.add(jLabelFrom, null);
        jPanel1.add(jButtonOk, null);
        jPanel1.add(jButtonCancel, null);
        jPanel1.add(jComboBoxFromVar, null);
        jPanel1.add(jComboBoxFromPart, null);
        jPanel1.add(jLabelFromVar, null);
        jPanel1.add(jLabelFromPart, null);
        jPanel1.add(jRadioButtonExpression, null);
        jPanel1.add(jRadioButtonVariable, null);
        buttonGroup1.add(jRadioButtonVariable);
        buttonGroup1.add(jRadioButtonExpression);
        jPanel1.add(jTextFieldExp, null);
        jPanel1.add(jLabelFromExp, null);
        jPanel1.add(jComboBoxToVar, null);
        jPanel1.add(jComboBoxToPart, null);
        jPanel1.add(jLabelToVariable, null);
        jPanel1.add(jLabelToPart, null);
        jPanel1.add(jLabelTo, null);
        this.setSize(new Dimension(400, 350));
        this.setLocation(
                (MainFrame.getmainFrame().getWidth() - this.getWidth()) / 2,
                (MainFrame.getmainFrame().getHeight() - this.getHeight()) / 2);
    }
    void jButtonOk_actionPerformed(ActionEvent e) {
        From from = null;
        To to = null;
        Attribute tempfromexp = null;
        Attribute tempfromvar = null;
        Attribute temptovar = null;
        Attribute tempfrompart = null;
        Attribute temptopart = null;
        From tempfrom = new From();
        To tempto = new To();
                if (this.jRadioButtonVariable.isSelected()) {
            tempfromvar = new Attribute("variable", "");
            tempfrompart = new Attribute("part", "");
            tempfrom.addAtFromVarialbe(tempfromvar);
            tempfrom.addAtFromPart(tempfrompart);
            if (this.jComboBoxFromVar.getSelectedItem() != null) {
                tempfromvar.setValue(this.jComboBoxFromVar.getSelectedItem()
                        .toString());
            }
            if (this.jComboBoxFromPart.getSelectedItem() != null) {
                tempfrompart.setValue(this.jComboBoxFromPart.getSelectedItem()
                        .toString());
            }
        } else if (this.jRadioButtonExpression.isSelected()) {
            tempfromexp = new Attribute("expression", "");
            tempfrom.addAtExpression(tempfromexp);
            if (this.jTextFieldExp.getText() != null) {
                tempfromexp.setValue(this.jTextFieldExp.getText());
            }
        }
                temptovar = new Attribute("variable", "");
        temptopart = new Attribute("part", "");
        tempto.addAtToVarialbe(temptovar);
        tempto.addAtToPart(temptopart);
        if (this.jComboBoxToVar.getSelectedItem() != null) {
            temptovar
                    .setValue(this.jComboBoxToVar.getSelectedItem().toString());
        }
        if (this.jComboBoxToPart.getSelectedItem() != null) {
            temptopart.setValue(this.jComboBoxToPart.getSelectedItem()
                    .toString());
        }
        if (this.copy == null) {
            this.copy = new Copy();
            copy.addFrom(tempfrom);
            copy.addTo(tempto);
            for (int i = 0; i < this.assign.getChilds().size(); i++) {
                Copy copytemp = (Copy) this.assign.getChilds().get(i);
                if (copytemp.equals(this.copy)) {
                    return;
                }
            }
            this.assign.addCopy(this.copy);
        } else {
            copy.addFrom(tempfrom);
            copy.addTo(tempto);
        }
        process.write();
        dispose();
    }
    void jButtonCancel_actionPerformed(ActionEvent e) {
        dispose();
    }
    
    public void setCopy(Copy c) {
        this.copy = c;
        this.jComboBoxFromVar.removeAllItems();
        this.jComboBoxToVar.removeAllItems();
        List tempvs = figure.getVariableList();
                for (int i = 0; i < tempvs.size(); i++) {
            Variable v = (Variable) tempvs.get(i);
            String variablename = v.getAtNameValue();
            this.jComboBoxFromVar.addItem(variablename);
            this.jComboBoxToVar.addItem(variablename);
        }
        if (copy != null) {
            From from = (From) copy.getFrom().car();
            if (from.getFromVariable() != null) {                this.jRadioButtonVariable.setSelected(true);
                this.jRadioButtonExpression.setSelected(false);
                this.jTextFieldExp.setEnabled(false);
                                this.jComboBoxFromVar.setSelectedItem(from
                        .getAtFromVariableValue());
                                this.jComboBoxFromPart.removeAllItems();
                String fromVarName = (String) this.jComboBoxFromVar
                        .getSelectedItem();
                Variables vs = (Variables) this.process.getVariables().car();
                Variable v = vs.getVariableByName(fromVarName);
                String messageTypeValue = v.getAtMessageTypeValue();
                String ns;
                String messageValue;
                if (messageTypeValue.indexOf(":") != -1) {
                    String prefix = messageTypeValue.substring(0,
                            messageTypeValue.indexOf(":"));
                    ns = MetasetUtil.getActualNamespace(this.process
                            .getProcess(), prefix);
                    messageValue = messageTypeValue.substring(messageTypeValue
                            .indexOf(":") + 1, messageTypeValue.length());
                } else {
                    ns = "";
                    messageValue = messageTypeValue;
                }
                Message message = (Message) MainFrame.getmainFrame()
                        .getProject().getWSDLRegistry().findMessage(ns,
                                messageValue).userObject;
                if (message.getParts() != null) {
                    Iterator it = message.getParts().values().iterator();
                    while (it.hasNext()) {
                        Part part = (Part) it.next();
                        this.jComboBoxFromPart.addItem(part.getName());
                    }
                }
                                this.jComboBoxFromPart.setSelectedItem(from
                        .getAtFromPartValue());
            } else if (from.getFromExpression() != null) {                this.jRadioButtonExpression.setSelected(true);
                this.jComboBoxFromPart.setEnabled(false);
                this.jComboBoxFromVar.setEnabled(false);
                this.jTextFieldExp.setEnabled(true);
                this.jTextFieldExp.setEditable(true);
                this.jTextFieldExp.setText(from.getAtFromExpressionValue());
            }
            To to = (To) copy.getTo().car();
            if (to.getToVariable() != null) {                                this.jComboBoxToVar.setSelectedItem(to.getAtToVariableValue());
                                this.jComboBoxToPart.removeAllItems();
                String toVarName = (String) this.jComboBoxToVar
                        .getSelectedItem();
                Variables vs = (Variables) this.process.getVariables().car();
                Variable v = vs.getVariableByName(toVarName);
                String messageTypeValue = v.getAtMessageTypeValue();
                String ns;
                String messageValue;
                if (messageTypeValue.indexOf(":") != -1) {
                    String prefix = messageTypeValue.substring(0,
                            messageTypeValue.indexOf(":"));
                    ns = MetasetUtil.getActualNamespace(this.process
                            .getProcess(), prefix);
                    messageValue = messageTypeValue.substring(messageTypeValue
                            .indexOf(":") + 1, messageTypeValue.length());
                } else {
                    ns = "";
                    messageValue = messageTypeValue;
                }
                Message message = (Message) MainFrame.getmainFrame()
                        .getProject().getWSDLRegistry().findMessage(ns,
                                messageValue).userObject;
                if (message.getParts() != null) {
                    Iterator it = message.getParts().values().iterator();
                    while (it.hasNext()) {
                        Part part = (Part) it.next();
                        this.jComboBoxToPart.addItem(part.getName());
                    }
                }
                                this.jComboBoxToPart.setSelectedItem(to.getAtToPartValue());
            }
        }
    }
    void jComboBoxFromVar_actionPerformed(ActionEvent e) {
        if (e.getSource().equals(this.jComboBoxFromVar)) {
            if (this.jComboBoxFromVar.getSelectedItem() != null) {
                this.jComboBoxFromPart.removeAllItems();
                String fromVarName = (String) this.jComboBoxFromVar
                        .getSelectedItem();
                Variables vs = (Variables) this.process.getVariables().car();
                Variable v = vs.getVariableByName(fromVarName);
                String messageTypeValue = v.getAtMessageTypeValue();
                String ns;
                String messageValue;
                if (messageTypeValue.indexOf(":") != -1) {
                    String prefix = messageTypeValue.substring(0,
                            messageTypeValue.indexOf(":"));
                    ns = MetasetUtil.getActualNamespace(this.process
                            .getProcess(), prefix);
                    messageValue = messageTypeValue.substring(messageTypeValue
                            .indexOf(":") + 1, messageTypeValue.length());
                } else {
                    ns = "";
                    messageValue = messageTypeValue;
                }
                Message message = (Message) MainFrame.getmainFrame()
                        .getProject().getWSDLRegistry().findMessage(ns,
                                messageValue).userObject;
                if (message.getParts() != null) {
                    Iterator it = message.getParts().values().iterator();
                    while (it.hasNext()) {
                        Part part = (Part) it.next();
                        this.jComboBoxFromPart.addItem(part.getName());
                    }
                }
            }
        }
    }
    void jComboBoxToVar_actionPerformed(ActionEvent e) {
        if (e.getSource().equals(this.jComboBoxToVar)) {
            if (this.jComboBoxToVar.getSelectedItem() != null) {
                this.jComboBoxToPart.removeAllItems();
                String toVarName = (String) this.jComboBoxToVar
                        .getSelectedItem();
                Variables vs = (Variables) this.process.getVariables().car();
                Variable v = vs.getVariableByName(toVarName);
                String messageTypeValue = v.getAtMessageTypeValue();
                String ns;
                String messageValue;
                if (messageTypeValue.indexOf(":") != -1) {
                    String prefix = messageTypeValue.substring(0,
                            messageTypeValue.indexOf(":"));
                    ns = MetasetUtil.getActualNamespace(this.process
                            .getProcess(), prefix);
                    messageValue = messageTypeValue.substring(messageTypeValue
                            .indexOf(":") + 1, messageTypeValue.length());
                } else {
                    ns = "";
                    messageValue = messageTypeValue;
                }
                Message message = (Message) MainFrame.getmainFrame()
                        .getProject().getWSDLRegistry().findMessage(ns,
                                messageValue).userObject;
                if (message.getParts() != null) {
                    Iterator it = message.getParts().values().iterator();
                    while (it.hasNext()) {
                        Part part = (Part) it.next();
                        this.jComboBoxToPart.addItem(part.getName());
                    }
                }
            }
        }
    }
    void jComboBoxFromPart_actionPerformed(ActionEvent e) {
        if (e.getSource().equals(this.jComboBoxFromPart)) {
            if (this.jComboBoxFromPart.getSelectedItem() != null) {
            }
        }
    }
    void jComboBoxToPart_actionPerformed(ActionEvent e) {
    }
    void jRadioButtonVariable_actionPerformed(ActionEvent e) {
        this.jComboBoxFromPart.setEnabled(true);
        this.jComboBoxFromVar.setEnabled(true);
        this.jTextFieldExp.setEnabled(false);
    }
    void jRadioButtonExpression_actionPerformed(ActionEvent e) {
        this.jComboBoxFromPart.setEnabled(false);
        this.jComboBoxFromVar.setEnabled(false);
        this.jTextFieldExp .setEnabled(true) ;
        this.jTextFieldExp.setEditable(true);
    }
}
