package org.act.wsc.bpel4wsmodeling.view.processassist;
import java.awt.GridLayout;
import java.awt.Rectangle;
import java.awt.event.ActionEvent;
import java.util.List;
import java.util.ResourceBundle;
import javax.swing.JButton;
import javax.swing.JCheckBox;
import javax.swing.JDialog;
import javax.swing.JPanel;
import org.act.wsc.bpel4wsmodeling.projectdata.Project;
import org.act.wsc.bpel4wsmodeling.projectdata.processassist.Property;
import org.act.wsc.bpel4wsmodeling.view.gui.MainFrame;
import org.act.wsc.bpel4wsmodeling.view.resource.ResChoose;
//<p></p><p></p><p></p><p></p>
public class PropertiesDialog
    extends JDialog {
	
	 static ResourceBundle res = ResChoose.getLanguage();
  Project project;
  List propertyList;
  String s = "";
  String propertiesValue;
  JButton jButtonOK = new JButton();
  JButton jButtonCancel = new JButton();
  JPanel jPanel1 = new JPanel();
  GridLayout gridLayout1 = new GridLayout();
  public PropertiesDialog(Project project,MainFrame frame) {
    super(frame);
    this.project = project;
    this.propertyList = this.project.getProperties();
    try {
      jbInit();
    }
    catch (Exception e) {
      e.printStackTrace();
    }
  }
 
  private void jbInit() throws Exception {
    for (int i = 0; i < this.propertyList.size(); i++) {
      Property p = (Property)this.propertyList.get(i);
      JCheckBox cb = new JCheckBox(p.getName());
      jPanel1.add(cb) ;
    }
    this.getContentPane() .setLayout(null);
    jButtonOK.setBounds(new Rectangle(102, 226, 71, 25));
    jButtonOK.setDebugGraphicsOptions(0);
    jButtonOK.setText(res.getString("yes"));
    this.jButtonOK.addActionListener(new java.awt.event.ActionListener() {
       public void actionPerformed(ActionEvent e) {
           int count=0;
        for(int i=0;i<jPanel1.getComponentCount();i++){
          JCheckBox c1=(JCheckBox) jPanel1.getComponents() [i];
          if(c1.isSelected() ){
              count++;
              if(count==1){
                  s=s+"props:"+c1.getText();              }else{
                  s=s+" "+"props:"+c1.getText();              }
          }
        }
        propertiesValue=s;
        dispose();
      }
    }
    );
    jButtonCancel.setBounds(new Rectangle(235, 226, 77, 25));
    jButtonCancel.setText(res.getString("no"));
    this.jButtonCancel.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        dispose();
      }
    });
    jPanel1.setLayout(gridLayout1);
    jPanel1.setBounds(new Rectangle(31, 23, 348, 192));
    this.getContentPane().add(jButtonCancel);
    this.getContentPane().add(jPanel1, null);
    this.getContentPane().add(jButtonOK);
    this.validate() ;
  }
  public String getPropertiesValue(){
    return this.propertiesValue  ;
  }
}
